import java.awt.*;
import java.awt.event.*;
import java.net.MalformedURLException;
import java.util.*;
import com.sun.java.swing.*;
import javax.swing.*;
import javax.swing.border.*;
import java.io.*;
//import com.symantec.itools.swing.JToolBarSeparator;
//import com.symantec.itools.swing.icons.ImageIcon;
//import symantec.itools.net.*;
/**
 * A basic JFC based application.
 */
public class IntlIconMenus1a extends JFrame
{
    boolean[] flg;
    
    public JMenuItem jx[];
    public JMenuItem countryFlagMenu2Items[];
    public JMenuItem countryFlagMenu3Items[];
    public JMenuItem countryFlagMenu1Items[];
    public ImageIcon imageIcon1[];
    public ImageIcon imageIcon2[];
    public ImageIcon imageIcon3[];
    public ImageIcon imageIcon4[];
    

    public JTextArea imgDisplay;// = new JTextArea();
    public int saveJxxx;//the index of the country menuItem to call IntlWordsMenus()

	public IntlIconMenus1a(boolean flg[])  //(String language, String country)
	{
	    this.flg = flg;
	    String language = "en";//"da";//
	    String country = "US";//"DK";//
	    //this.language = language;
	    //this.country  = country;
	    Locale currentLocale;
	    Locale setupLocale;
	    ResourceBundle messages;
	    ResourceBundle setupMessages;
	    
	    setupLocale = new Locale("Checkbox", "Countries");
	    currentLocale = new Locale(language, country);
	    
	    messages = ResourceBundle.getBundle("MessagesBundle", currentLocale);
	    setupMessages = ResourceBundle.getBundle("MessagesBundle", setupLocale);
	    
		//setJMenuBar(JMenuBar1);
		setTitle("SignWriter 5.0");
		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		getContentPane().setLayout(new BorderLayout());//(50,50));
		setSize(799,600);//(775,550);
		//setVisible(false);
        //
        
        //create images to head up visual menus on a panel
		ImageIcon fileVisualIcon = new ImageIcon("images/fileVisual.JPG");
        visualFileMenuFileItem.setIcon(fileVisualIcon);
        JLabel overTheMenusFileLabel = new JLabel(fileVisualIcon);
        //        
		ImageIcon editVisualIcon = new ImageIcon("images/editVisual.JPG");
        visualFileMenuEditItem.setIcon(editVisualIcon);
        JLabel overTheMenusEditLabel = new JLabel(editVisualIcon);
        //
		ImageIcon type1VisualIcon = new ImageIcon("images/type1Visual.JPG");
        //visualFileMenuType1Item.setIcon(type1VisualIcon);
        JLabel overTheMenusType1Label = new JLabel(type1VisualIcon);
        //
		ImageIcon type1aVisualIcon = new ImageIcon("images/type1aVisual.JPG");
        //visualFileMenuType1Item.setIcon(type1VisualIcon);
        JLabel overTheMenusType1aLabel = new JLabel(type1aVisualIcon);
        //
		ImageIcon type1bVisualIcon = new ImageIcon("images/type1bVisual.JPG");
        //visualFileMenuType1Item.setIcon(type1VisualIcon);
        JLabel overTheMenusType1bLabel = new JLabel(type1bVisualIcon);
        //
		ImageIcon learn1VisualIcon = new ImageIcon("images/learn1Visual.JPG");
        JLabel overTheMenusLearn1Label = new JLabel(learn1VisualIcon);
        //
		ImageIcon learn2VisualIcon = new ImageIcon("images/Learn2-UseThis1.JPG");
        JLabel helpMenuLearn2Label = new JLabel(learn2VisualIcon);
        //
		ImageIcon learn3VisualIcon = new ImageIcon("images/learn3Visual.JPG");
        JLabel helpMenuLearn3Label = new JLabel(learn3VisualIcon);
        //
		ImageIcon eraseVisualIcon = new ImageIcon("images/eraseVisual.JPG");
        JLabel editMenuEraseLabel = new JLabel(eraseVisualIcon);
        //
		ImageIcon saveVisualIcon = new ImageIcon("images/630/save.gif");
        JLabel fileMenuSaveLabel = new JLabel(saveVisualIcon);
        //
		ImageIcon saveAsVisualIcon = new ImageIcon("images/630/saveas.gif");
        JLabel fileMenuSaveAsLabel = new JLabel(saveAsVisualIcon);
        //
		ImageIcon printVisualIcon = new ImageIcon("images/630/print.gif");
        JLabel fileMenuPrintLabel = new JLabel(printVisualIcon);
        //
		ImageIcon dictionariesVisualIcon = new ImageIcon("images/grayBar150by15.jpg");
		ImageIcon dictionariesVisualIcon2 = new ImageIcon("images/grayBar.jpg");

        JLabel dictionariesMenuLabel1 = new JLabel(dictionariesVisualIcon);
        JLabel dictionariesMenuLabel2 = new JLabel(dictionariesVisualIcon2);
        JLabel dictionariesMenuLabel3 = new JLabel(dictionariesVisualIcon2);
        JLabel dictionariesMenuLabel4 = new JLabel(dictionariesVisualIcon2);
        //
		ImageIcon menusVisualIcon = new ImageIcon("images/MenusHeading-UseThis.jpg");
		ImageIcon dictionaryVisualIcon1 = new ImageIcon("images/dictionaryVisual.jpg");
        JLabel dictionaryVisual1Label = new JLabel(dictionaryVisualIcon1);
		//
		ImageIcon fontsVisualIcon1 = new ImageIcon("images/Fonts-UseThis.JPG");
        JLabel overTheMenusFonts1Label = new JLabel(fontsVisualIcon1);
        //
        JLabel menusMenuLabel1 = new JLabel(menusVisualIcon);
        //visualFileMenuType1Item.setIcon(type1VisualIcon);
		saveFileDialog.setMode(FileDialog.LOAD);
		//$$ saveFileDialog.move(24,336);
		openFileDialog.setMode(FileDialog.LOAD);
		//$$ openFileDialog.move(0,336);

		//put header labels on panel
		JPanel2.add(overTheMenusFileLabel);
		JPanel2.add(overTheMenusEditLabel);
		//
		JPanel2.add(menusMenuLabel1);//keep this here for room
		//
		JPanel2.add(overTheMenusType1Label);
		JPanel2.add(overTheMenusType1aLabel);
		JPanel2.add(overTheMenusType1bLabel);
		JPanel2.add(overTheMenusType1bLabel);
		//for spacing until get proper .jpg,
		//  dictionariesMenuLabel1&2 = two graybar150by15.jpgs
		JPanel2.add(dictionariesMenuLabel1);
		JPanel2.add(dictionariesMenuLabel2);
		//********put in front of typeSignsJPanel2.add(menusMenuLabel1);
		//JPanel2.add(dictionariesMenuLabel3);
		
		//******JPanel2.add(menusMenuLabel1);
		JPanel2.add(dictionaryVisual1Label);//dictionariesMenuLabel4);
		JPanel2.add(overTheMenusFonts1Label);//fontsVisualIcon1
		JPanel2.add(overTheMenusLearn1Label);
		//*******JPanel2.add(overTheMenusLearn3Label);
        //*******JPanel2.add(JMenuBar1);
		//*****JPanel1.setBounds(0,0,488,309);
        JPanel1.add(JMenuBar1);
        //****getContentPane().add(JPanel1);
		//getContentPane().add("Center",JPanel1);
        //setJMenuBar(JMenuBar1);
        //JMenuBar1.move(8,312);
	
    	ImageIcon newIcon = new ImageIcon("images/630/new.jpg");
	    ImageIcon openIcon = new ImageIcon("images/630/open.gif");
    	ImageIcon saveIcon = new ImageIcon("images/630/save.jpg");
    	ImageIcon saveAsIcon = new ImageIcon("images/630/saveas.jpg");
    	ImageIcon exitIcon = new ImageIcon("images/630/exit.button.gif");
    	ImageIcon cutIcon = new ImageIcon("images/Cut-UseThis1.JPG");
    	ImageIcon copyIcon = new ImageIcon("images/Copy-UseThis1.JPG");
    	ImageIcon pasteIcon = new ImageIcon("images/pasteVisual.jpg");
    	ImageIcon aboutIcon = new ImageIcon("learn1Visual.jpg");
	
		saveFileDialog.setMode(FileDialog.SAVE);
		saveFileDialog.setTitle("Save");
		//$$ saveFileDialog.move(24,336);
		openFileDialog.setMode(FileDialog.LOAD);
		openFileDialog.setTitle("Open");
		//$$ openFileDialog.move(0,336);
		JPanel2.setLayout(new FlowLayout(FlowLayout.LEFT,10,10));
		getContentPane().add("North", JPanel2);
		JPanel2.setBounds(0,0,50,29);

		//add goToConfigButton to panel1
		goToConfigButton.setText("Setup");
		goToConfigButton.setBackground(Color.lightGray);
		//goToConfigButton.setForeground(new java.awt.Color(64,164,189));
		goToConfigButton.setForeground(new Color(64,164,189));
        JPanel1.add(goToConfigButton);
        
        //add panel1 to display
		getContentPane().add("West", JPanel1);
		
		//file menu
		String xfile = messages.getString("fileMenuTitle");
		//fileMenu.setText(messages.getString("fileMenuTitle"));//FileMenuTitle);//" File");
		fileMenu.setText("  " + xfile);
		fileMenu.setActionCommand("File");
		fileMenu.setMnemonic((int)'1');//'F');
		JMenuBar1.add(fileMenu);
		//
		newItem.setIcon(newIcon);
		//newItem.setHorizontalTextPosition(SwingConstants.RIGHT);
		//newItem.setText("New");
		newItem.setActionCommand("New");
		//newItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_N, Event.CTRL_MASK));
		//newItem.setMnemonic((int)'N');
		fileMenu.add(newItem);
		//
		openItem.setIcon(openIcon);
		//openItem.setHorizontalTextPosition(SwingConstants.RIGHT);
		//openItem.setText("Open...");
		openItem.setActionCommand("Open...");
		//openItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_O, Event.CTRL_MASK));
		//openItem.setMnemonic((int)'O');
		fileMenu.add(openItem);
		//
		//saveItem.setIcon(saveIcon);
		//saveItem.setHorizontalTextPosition(SwingConstants.RIGHT);
		//saveItem.setText("Save");
		saveItem.setActionCommand("Save");
		saveItem.setIcon(saveVisualIcon);
		//saveItem.setHorizontalAlignment(SwingConstants.LEFT);//saveItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_S, Event.CTRL_MASK));
		//saveItem.setMnemonic((int)'S');
	    fileMenu.add(saveItem);
		//fileMenu.add(fileMenuSaveLabel);
		//**fileMenu.add(grayBarFileMenuItem1);
		//
		saveAsItem.setIcon(saveAsVisualIcon);
		//saveAsItem.setText("Save As...");
		saveAsItem.setActionCommand("Save As...");
		saveAsItem.setMnemonic((int)'A');
		fileMenu.add(saveAsItem);
		//fileMenu.add(fileMenuSaveAsLabel);
		//****fileMenu.add(grayBarFileMenuItem2);
		//fileMenu.add(JSeparator1);
		//
		//saveAsItem.setText("Save As...");
		printItem.setActionCommand("Print");
        printItem.setIcon(printVisualIcon);
		//saveAsItem.setMnemonic((int)'A');
		//fileMenu.add(saveAsItem);//visualFileMenuSaveAsItem
		fileMenu.add(printItem);//fileMenuPrintLabel);
		//fileMenu.add(grayBarFileMenuItem3);
		fileMenu.add(JSeparator1);
		//
		exitItem.setIcon(exitIcon);
		//exitItem.setText("Exit");
		exitItem.setActionCommand("Exit");
		exitItem.setMnemonic((int)'X');
		fileMenu.add(exitItem);
		

		//editMenu
		editMenu.setText(messages.getString("editMenuTitle"));//"  Edit");
		editMenu.setActionCommand("Edit");
		editMenu.setMnemonic((int)'2');//'E');
		editMenu.add(editMenuEraseLabel);
		//***waiting for jpg editMenu.add(pasteMenuCutLabel);
		//***waiting for jpg editMenu.add(pasteMenuCopyLabel);
		//editMenu.add(editMenuPasteLabel);
		JMenuBar1.add(editMenu);
		//
		cutItem.setIcon(cutIcon);
		//cutItem.setHorizontalTextPosition(SwingConstants.RIGHT);
		//cutItem.setText("Cut");
		cutItem.setActionCommand("Cut");
		//cutItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_X, Event.CTRL_MASK));
		//cutItem.setMnemonic((int)'T');
		editMenu.add(cutItem);
		//
		copyItem.setIcon(copyIcon);
		//copyItem.setHorizontalTextPosition(SwingConstants.RIGHT);
		//copyItem.setText("Copy");
		copyItem.setActionCommand("Copy");
		//copyItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_C, Event.CTRL_MASK));
		//copyItem.setMnemonic((int)'C');
		editMenu.add(copyItem);
		//
		pasteItem.setIcon(pasteIcon);
		//pasteItem.setHorizontalTextPosition(SwingConstants.RIGHT);
		//pasteItem.setText("Paste");
		pasteItem.setActionCommand("Paste");
		//pasteItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_V, Event.CTRL_MASK));
		//pasteItem.setMnemonic((int)'P');
	    editMenu.add(pasteItem);
		//}}
	    JMenu menusInWordsMenu = new JMenu();
          //menusInWordsItem.setIcon(menusInWordsIcon);
        ImageIcon menusInWordsIcon = new ImageIcon("images/MenusInWords-UseThis.JPG");
        menusInWordsMenu.setIcon(menusInWordsIcon);
        //need a flag submenu to put on menusInWordsItem
 	    JMenu countryFlagMenu4 = new JMenu();
         //keep this just after editMenu for room
	    JMenu menusMenu1 = new JMenu();
	    menusMenu1.setText(messages.getString("menusMenuTitle"));//"Menus");
		menusMenu1.setMnemonic((int)'3');//'M');
	    menusMenu1.add(menusInSignsMenu);//.add(menusInSignsItem);
        menusMenu1.add(menusInWordsMenu);
	    menusMenu1.add(menusInSignsAndWordsMenu);//.add(menusInSignsItem);

//*****************************************************************
//*** create menuItems and load with info from messagesBundle ***//
//***
		SymAction lSymAction = new SymAction();
           
        String img;
        String icon;
        String itemIntegerSpacing;
        String imgx = "";

        imgDisplay = new JTextArea();
        //getContentPane().add(imgDisplay);
		imgDisplay.setBounds(62,517,377,24);

        Vector menuItems = new Vector(51);

        //create some menus
 	    JMenu countryFlagMenu2 = new JMenu();//fingerSpelling
 	    JMenu countryFlagMenu3 = new JMenu();//words
 	    JMenu countryFlagMenu1 = new JMenu();//dictionaries
        
        //create the menuItems arrays
        jx = new JMenuItem[51];

//
/**
        menusInSignsWordsMenuItems = new JMenuItem[51];
        menusInSignsAndWordsWordsMenuItems = new JMenuItem[51];
        menusInIconsAndWordsWordsMenuItems = new JMenuItem[51];
        menusInSignsAndIconsWordsMenuItems = new JMenuItem[51];
*/        
        //typeFingerspellingWordsMenu1Items = new JMenuItem[51];
        countryFlagMenu2Items = new JMenuItem[51];
        
        //typeWordsWordsmenu1Items = new JMenuItem[51];
        countryFlagMenu3Items = new JMenuItem[51];
        
        //signDictionariesWordsMenu1Items = new JMenuItem[51];
        countryFlagMenu1Items = new JMenuItem[51];

        //
//
           //make ImageIcon arrays
           imageIcon1 = new ImageIcon[51];
           imageIcon2 = new ImageIcon[51];
           imageIcon3 = new ImageIcon[51];
           imageIcon4 = new ImageIcon[51];
           for(int k = 1; k < 51; k++)
           {
              //create strings to use in retreiving info from messagesBundle
              country = "country" + Integer.toString(k);
              img = "image" + Integer.toString(k);
              icon = "image" + Integer.toString(k) + "Icon";
              imageIcon1[k] = new ImageIcon(setupMessages.getString(img));
	          jx[k] = new JMenuItem(setupMessages.getString(country),imageIcon1[k]);
              //typeFingerspellingWordsMenu1Items = new JMenuItem[51];
              imageIcon2[k] = new ImageIcon(setupMessages.getString(img));
              countryFlagMenu2Items[k] = new JMenuItem(setupMessages.getString(country),imageIcon2[k]);
              //typeWordsWordsmenu1Items = new JMenuItem[51];
              imageIcon3[k] = new ImageIcon(setupMessages.getString(img));
              countryFlagMenu3Items[k] = new JMenuItem(setupMessages.getString(country),imageIcon3[k]);
              //signDictionariesWordsMenu1Items = new JMenuItem[51];
              imageIcon4[k] = new ImageIcon(setupMessages.getString(img));
              countryFlagMenu1Items[k] = new JMenuItem(setupMessages.getString(country),imageIcon4[k]);
//
    //But if MessagesBundle_language_country.properties
		        String languageK = "code"  + "l" + Integer.toString(k);
		        String countryK = "code"  + "c" + Integer.toString(k);

                String checkFileExists = "MessagesBundle_" + (setupMessages.getString(languageK )) + "_" + (setupMessages.getString(countryK)) + ".properties";
                File f = new File( checkFileExists );
		    

                //****** for debugging
                if(!( f.exists()))
                {
                    flg[k] = false;
                    displayProblem(k);
                    checkFileExists += "DOES NOT EXIST";
                    imgDisplay.append(checkFileExists);//.setText(checkFileExists);// + "DOES NOT XXX EXIST");
                }
                //********************
                

	          if(flg[k] == true)
	          {
	            menusInWordsMenu.add(jx[k]);
	            countryFlagMenu2.add(countryFlagMenu2Items[k]);
	            countryFlagMenu3.add(countryFlagMenu3Items[k]);
	            countryFlagMenu1.add(countryFlagMenu1Items[k]);
	          }
	          jx[k].addActionListener(lSymAction);
	          jx[k].setHorizontalTextPosition(SwingConstants.RIGHT);
	          
	          countryFlagMenu2Items[k].addActionListener(lSymAction);
	          countryFlagMenu2Items[k].setHorizontalTextPosition(SwingConstants.RIGHT);
	          
	          countryFlagMenu3Items[k].addActionListener(lSymAction);
	          countryFlagMenu3Items[k].setHorizontalTextPosition(SwingConstants.RIGHT);
	          
	          countryFlagMenu1Items[k].addActionListener(lSymAction);
	          countryFlagMenu1Items[k].setHorizontalTextPosition(SwingConstants.RIGHT);
	          
           }

	    menusMenu1.add(menusInSignsAndWordsItem);
	    menusMenu1.add(menusInIconsAndWordsItem);
	    menusMenu1.add(menusInSignsAndIconsItem);
	    menusMenu1.add(menusInColorItem);
		//
		//add it to the menuBar
		JMenuBar1.add(menusMenu1);


		//{{REGISTER_LISTENERS
		SymMouse aSymMouse = new SymMouse();
		goToConfigButton.addMouseListener(aSymMouse);
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
		//SymAction lSymAction = new SymAction();
		openItem.addActionListener(lSymAction);
		saveItem.addActionListener(lSymAction);
		exitItem.addActionListener(lSymAction);
		aboutItem.addActionListener(lSymAction);
		openButton.addActionListener(lSymAction);
		saveButton.addActionListener(lSymAction);
		aboutButton.addActionListener(lSymAction);
		menusInWordsItem.addActionListener(lSymAction);


    //declare the ImageIcons    
    ImageIcon usaFlagIcon = new ImageIcon("images/USA.JPG");

/**
    ImageIcon grayBar1Icon = new ImageIcon("images/grayBar1.JPG");
	ImageIcon belgiumFlagIcon = new ImageIcon("images/Belgium.JPG");
//**84ImageIcon brazilFlagIcon = new ImageIcon("images/Brazil.JPG");
	ImageIcon canadaFlagIcon = new ImageIcon("images/Canada.JPG");
	ImageIcon denmarkFlagIcon = new ImageIcon("images/Denmark.JPG");
    ImageIcon franceFlagIcon = new ImageIcon("images/France.JPG");
    ImageIcon irelandFlagIcon = new ImageIcon("images/Ireland.JPG");
    ImageIcon italyFlagIcon = new ImageIcon("images/Italy.JPG");
    ImageIcon mexicoFlagIcon = new ImageIcon("images/Mexico.JPG");
    ImageIcon nicaraguaFlagIcon = new ImageIcon("images/Nicaragua.JPG");
    ImageIcon norwayFlagIcon = new ImageIcon("images/Norway.JPG");
    ImageIcon portugalFlagIcon = new ImageIcon("images/Portugal.JPG");
    ImageIcon spainFlagIcon = new ImageIcon("images/Spain.JPG");
    ImageIcon swedenFlagIcon = new ImageIcon("images/Sweden.JPG");
    ImageIcon switzerlandFlagIcon = new ImageIcon("images/Switzerland.JPG");
    ImageIcon taiwanFlagIcon = new ImageIcon("images/Taiwan.JPG");
    ImageIcon ukFlagIcon = new ImageIcon("images/UK.JPG");
*/
    //


    ImageIcon menusInIconsIcon = new ImageIcon("images/MenusInIcons-UseThis.JPG");
    //7/29**move up ImageIcon menusInSignsIcon = new ImageIcon("images/MenusInSigns-UseThis.JPG");
    // move it ImageIcon menusInWordsIcon = new ImageIcon();
    //ImageIcon menusInSignsAndWordsIcon = new ImageIcon("images/MenusInSignsANDWords-UseThis.JPG");
    ImageIcon menusInIconsAndWordsIcon = new ImageIcon("images/MenusInIconsANDWords-UseThis.JPG");
    ImageIcon menusInSignsAndIconsIcon = new ImageIcon("images/MenusInSignsANDIcons-UseThis.JPG");
    ImageIcon menusInColorIcon = new ImageIcon("images/MenusInColor-UseThis.JPG");
    
    //
    ImageIcon page1VisualIcon = new ImageIcon("images/page1Visual.JPG");
    ImageIcon page2VisualIcon = new ImageIcon("images/page2Visual.JPG");
    ImageIcon page3VisualIcon = new ImageIcon("images/page3Visual.JPG");
    ImageIcon page4VisualIcon = new ImageIcon("images/page4Visual.JPG");
    
	//JButton JButton1 = new JButton(imageIcon1);
	//JButton JButton2 = new JButton(imageIcon2);
	//JButton JButton3 = new JButton("3",imageIcon3);
	//JButton JButton4 = new JButton("4",imageIcon4);
	//JButton JButton5 = new JButton("5",imageIcon5);

       // JButton1.setIcon(imageIcon1);
		//JButton1.setActionCommand("foo");
	    //getContentPane().add(JButton1);
	    //getContentPane().add(JButton2);
		//JButton1.setBounds(60,24,84,40);

       // JMenuBar1.add(JButton1);
       // JMenuBar1.add(JButton2);
		//add(JButton1);
		//grayBarFileMenuItem1.setIcon(grayBar1Icon);
		//grayBarFileMenuItem2.setIcon(grayBar1Icon);
		//grayBarFileMenuItem3.setIcon(grayBar1Icon);

//don't need these anymore vvvvvvvvvvvv
/**
       
        //first set
		grayBarFlagItem.setIcon(grayBar1Icon);
		belgiumFlagItem.setIcon(belgiumFlagIcon);
//**84		brazilFlagItem.setIcon(brazilFlagIcon);
		canadaFlagItem.setIcon(canadaFlagIcon);
		denmarkFlagItem.setIcon(denmarkFlagIcon);
		franceFlagItem.setIcon(franceFlagIcon);
		irelandFlagItem.setIcon(irelandFlagIcon);
		italyFlagItem.setIcon(italyFlagIcon);
		mexicoFlagItem.setIcon(mexicoFlagIcon);
		nicaraguaFlagItem.setIcon(nicaraguaFlagIcon);
		norwayFlagItem.setIcon(norwayFlagIcon);
		portugalFlagItem.setIcon(portugalFlagIcon);
		spainFlagItem.setIcon(spainFlagIcon);
		swedenFlagItem.setIcon(swedenFlagIcon);
		switzerlandFlagItem.setIcon(switzerlandFlagIcon);
		taiwanFlagItem.setIcon(taiwanFlagIcon);
		ukFlagItem.setIcon(ukFlagIcon);
		usaFlagItem.setIcon(usaFlagIcon);
		//second set for menu2
		grayBarFlagItem2.setIcon(grayBar1Icon);
		belgiumFlagItem2.setIcon(belgiumFlagIcon);
//**84		brazilFlagItem2.setIcon(brazilFlagIcon);
		canadaFlagItem2.setIcon(canadaFlagIcon);
		denmarkFlagItem2.setIcon(denmarkFlagIcon);
		franceFlagItem2.setIcon(franceFlagIcon);
		irelandFlagItem2.setIcon(irelandFlagIcon);
		italyFlagItem2.setIcon(italyFlagIcon);
		mexicoFlagItem2.setIcon(mexicoFlagIcon);
		nicaraguaFlagItem2.setIcon(nicaraguaFlagIcon);
		norwayFlagItem2.setIcon(norwayFlagIcon);
		portugalFlagItem2.setIcon(portugalFlagIcon);
		spainFlagItem2.setIcon(spainFlagIcon);
		swedenFlagItem2.setIcon(swedenFlagIcon);
		switzerlandFlagItem2.setIcon(switzerlandFlagIcon);
		taiwanFlagItem2.setIcon(taiwanFlagIcon);
		ukFlagItem2.setIcon(ukFlagIcon);
		usaFlagItem2.setIcon(usaFlagIcon);
        //3rd set		
		grayBarFlagItem3.setIcon(grayBar1Icon);
		belgiumFlagItem3.setIcon(belgiumFlagIcon);
//**84		brazilFlagItem3.setIcon(brazilFlagIcon);
		canadaFlagItem3.setIcon(canadaFlagIcon);
		denmarkFlagItem3.setIcon(denmarkFlagIcon);
		franceFlagItem3.setIcon(franceFlagIcon);
		irelandFlagItem3.setIcon(irelandFlagIcon);
		italyFlagItem3.setIcon(italyFlagIcon);
		mexicoFlagItem3.setIcon(mexicoFlagIcon);
		nicaraguaFlagItem3.setIcon(nicaraguaFlagIcon);
		norwayFlagItem3.setIcon(norwayFlagIcon);
		portugalFlagItem3.setIcon(portugalFlagIcon);
		spainFlagItem3.setIcon(spainFlagIcon);
		swedenFlagItem3.setIcon(swedenFlagIcon);
		switzerlandFlagItem3.setIcon(switzerlandFlagIcon);
		taiwanFlagItem3.setIcon(taiwanFlagIcon);
		ukFlagItem3.setIcon(ukFlagIcon);
		usaFlagItem3.setIcon(usaFlagIcon);
		//
        //4th set		
		grayBarFlagItem4.setIcon(grayBar1Icon);
		belgiumFlagItem4.setIcon(belgiumFlagIcon);
//??????????
//**84		BrazilFlagItem4.setIcon(brazilFlagIcon);
//**84		brazilFlagItem4.setIcon(brazilFlagIcon);
		canadaFlagItem4.setIcon(canadaFlagIcon);
		denmarkFlagItem4.setIcon(denmarkFlagIcon);
		franceFlagItem4.setIcon(franceFlagIcon);
		irelandFlagItem4.setIcon(irelandFlagIcon);
		italyFlagItem4.setIcon(italyFlagIcon);
		mexicoFlagItem4.setIcon(mexicoFlagIcon);
		nicaraguaFlagItem4.setIcon(nicaraguaFlagIcon);
		norwayFlagItem4.setIcon(norwayFlagIcon);
		portugalFlagItem4.setIcon(portugalFlagIcon);
		spainFlagItem4.setIcon(spainFlagIcon);
		swedenFlagItem4.setIcon(swedenFlagIcon);
		switzerlandFlagItem4.setIcon(switzerlandFlagIcon);
		taiwanFlagItem4.setIcon(taiwanFlagIcon);
		ukFlagItem4.setIcon(ukFlagIcon);
		usaFlagItem4.setIcon(usaFlagIcon);
		//
*/
//don't need ^^^^^^^^^^^


        menusInIconsItem.setIcon(menusInIconsIcon);		

        //menusInSignsMenu
        ImageIcon menusInSignsIcon = new ImageIcon("images/MenusInSigns-UseThis.JPG");
	    menusInSignsMenu.setIcon(menusInSignsIcon);
         usaSignsItem.setText("USA");// - ASL");  
		 usaSignsItem.setHorizontalTextPosition(SwingConstants.RIGHT);
         usaSignsItem.setIcon(usaFlagIcon);//(usaFlagIcon);//("USA");// - ASL");  
         usaSignsItem.addActionListener(lSymAction);
        menusInSignsMenu.add(usaSignsItem);

        //menusInSignsAndWordsMenu
        ImageIcon menusInSignsAndWordsIcon = new ImageIcon("images/MenusInSignsANDWords-UseThis.JPG");
        menusInSignsAndWordsMenu.setIcon(menusInSignsAndWordsIcon);
        
        //right now, 8/4, still need usaSignsItem2 and usaFlagIcon for ASL & ASL+Words choices
        //should move out to properties file
         usaSignsItem2.setText("USA");// - ASL");  
		 usaSignsItem2.setHorizontalTextPosition(SwingConstants.RIGHT);
         usaSignsItem2.setIcon(usaFlagIcon);//(usaFlagIcon);//("USA");// - ASL");  
         usaSignsItem2.addActionListener(lSymAction);
        menusInSignsAndWordsMenu.add(usaSignsItem2);
        
        
        menusInIconsAndWordsItem.setIcon(menusInIconsAndWordsIcon);
        menusInSignsAndIconsItem.setIcon(menusInSignsAndIconsIcon);
        menusInColorItem.setIcon(menusInColorIcon);
                //
		page1VisualItem.setIcon(page1VisualIcon);
		page2VisualItem.setIcon(page2VisualIcon);
		page3VisualItem.setIcon(page3VisualIcon);
		page4VisualItem.setIcon(page4VisualIcon);
		
		
		//brazilFlagItem.setHorizontalTextPosition(SwingConstants.RIGHT);
		//brazilFlagItem.setText("Brazil");
		//brazilFlagItem.setActionCommand("Brazil");
		//brazilFlagItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_N, Event.CTRL_MASK));
		//brazilFlagItem.setMnemonic((int)'B');
		
		//countryFlagMenu.setText("Flags");
		//countryFlagMenu.add(brazilFlagItem);
		///JMenuBar1.add(countryFlagMenu);
	    JMenu typeSignsMenu1 = new JMenu();
		String xsign = messages.getString("signsMenuTitle");
		typeSignsMenu1.setText("  " + xsign);
		//fileMenu.setText(messages.getString("fileMenuTitle"));//FileMenuTitle);//" File");
        //typeSignsMenu1.setText(messages.getString("signsMenuTitle"));//("    Type Signs");
		typeSignsMenu1.setMnemonic((int)'4');//'S');
        typeSignsMenu1.add(page1VisualItem);
        typeSignsMenu1.add(page2VisualItem);
        typeSignsMenu1.add(page3VisualItem);
        typeSignsMenu1.add(page4VisualItem);
		JMenuBar1.add(typeSignsMenu1);
        //
 	    //JMenu countryFlagMenu2 = new JMenu();//move up ^^
		String xfinger = messages.getString("fingerspellingMenuTitle");
		countryFlagMenu2.setText("         " + xfinger);

	    //countryFlagMenu2.setText(messages.getString("fingerspellingMenuTitle"));//("  Type FingerSpelling");
		countryFlagMenu2.setMnemonic((int)'5');//'G');
		JMenuBar1.add(countryFlagMenu2);
	    
        //
	    //
	    //JMenu countryFlagmenu3 = new JMenu();//move up ^^
	    countryFlagMenu3.setText("      " + messages.getString("wordsMenuTitle"));//("Type Words");
		countryFlagMenu3.setMnemonic((int)'6');//'W');
		JMenuBar1.add(countryFlagMenu3);
        //
       //
	    //JMenu countryFlagMenu1 = new JMenu();//move up ^^
	    //countryFlagMenu1.setIcon(dictionaryVisualIcon1);
	    countryFlagMenu1.setText("        " + messages.getString("dictionariesMenuTitle"));//("  Dictionaries");
		countryFlagMenu1.setMnemonic((int)'7');//'D');
		JMenuBar1.add(countryFlagMenu1);
        //
        //fonts menu
        //
	    JMenu fontsMenu1 = new JMenu();
	    fontsMenu1.setText("    Fonts");
		fontsMenu1.setMnemonic((int)'8');//'T');
        fontsMenu1.add("Large");
	    fontsMenu1.add("Medium");
	    fontsMenu1.add("Small");
        //fontsMenu1.add(JSeparator20);
	    fontsMenu1.add("Italic");
	    fontsMenu1.add("Bold");
        /**
        fontsMenu1.add(fontsLargeItem);
	    fontsMenu1.add(fontsMediumItem);
	    fontsMenu1.add(fontsSmallItem);
	    fontsMenu1.add(fontsItalicItem);
	    fontsMenu1.add(fontsBoldItem);
	    */
	    fontsMenu1.add("Color Symbols");
	    /**
	    fontsMenu1.add(colorSymbolsItem);
	    fontsMenu1.add(colorSignsItem);
	    //fontsMenu1.add(colorSignsItem);
	    fontsMenu1.add(colorSignsTurquoiseItem);
	    fontsMenu1.add(colorSignsGreenItem);
	    fontsMenu1.add(colorRedItem);
	    fontsMenu1.add(colorSignsPinkItem);
	    //fontsMenu1.add(colorSignsItem);
	    fontsMenu1.add(colorSignsYellowItem);
	    //fontsMenu1.add(colorSignsBlackItem);
        */
		JMenuBar1.add(fontsMenu1);
        
		// helpMenu
		helpMenu.setText("     " + messages.getString("helpMenuTitle"));//"         Help");
		helpMenu.setActionCommand("Help");
		helpMenu.setMnemonic((int)'9');//'H');
		JMenuBar1.add(helpMenu);
		aboutItem.setIcon(aboutIcon);
		aboutItem.setHorizontalTextPosition(SwingConstants.RIGHT);
		aboutItem.setText("About...");
		aboutItem.setActionCommand("About...");
		aboutItem.setMnemonic((int)'A');
		helpMenu.add(helpMenuLearn2Label);
		helpMenu.add("SignWriting");
		helpMenu.add(helpMenuLearn3Label);
		helpMenu.add("SignWriter");
		helpMenu.add("          ");
		helpMenu.add(aboutItem);

		
    this.setVisible(true);
		
};

	/**
	 * The entry point for this application.
	 * Sets the Look and Feel to the System Look and Feel.
	 * Creates a new JFrame1 and makes it visible.
	 */
//&&&&&&&&&
	static public void main(String args[])
	{
		try {
		    // Add the following code if you want the Look and Feel
		    // to be set to the Look and Feel of the native system.
		    //try {
		    //    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		    //} 
		    //catch (Exception e) { 
		    //}

			//Create a new instance of our application's frame, and make it visible.
			//*******new IntlIconMenus1a(flg).setVisible(true);
		} 
		catch (Throwable t) {
			t.printStackTrace();
			//Ensure the application exits with an error condition.
			System.exit(1);
		}
	}//main

    /**
     * Notifies this component that it has been added to a container
     * This method should be called by <code>Container.add</code>, and 
     * not by user code directly.
     * Overridden here to adjust the size of the frame if needed.
     * @see java.awt.Container#removeNotify
     */
	public void addNotify()
	{
		// Record the size of the window prior to calling parents addNotify.
		Dimension size = getSize();
		
		super.addNotify();
		
		if (frameSizeAdjusted)
			return;
		frameSizeAdjusted = true;
		
		// Adjust size of frame according to the insets and menu bar
		JMenuBar menuBar = getRootPane().getJMenuBar();
		int menuBarHeight = 0;
		if (menuBar != null)
		    menuBarHeight = menuBar.getPreferredSize().height;
		Insets insets = getInsets();
		setSize(insets.left + insets.right + size.width, insets.top + insets.bottom + size.height + menuBarHeight);
	}//method

	// Used by addNotify
	boolean frameSizeAdjusted = false;

    //
	FileDialog saveFileDialog = new FileDialog(this);
	FileDialog openFileDialog = new FileDialog(this);
	
	JPanel JPanel2 = new JPanel();
	JToolBar JToolBar1 = new JToolBar();
	
	JButton goToConfigButton = new JButton();
	JButton newButton = new JButton();
	JButton openButton = new JButton();
	JButton saveButton = new JButton();
	JButton cutButton = new JButton();
	JButton copyButton = new JButton();
	JButton pasteButton = new JButton();
	JButton aboutButton = new JButton();
	
	JPanel JPanel1 = new JPanel();
	
	JMenuBar JMenuBar1 = new JMenuBar();
	JMenu fileMenu = new JMenu();
	 JMenuItem newItem = new JMenuItem();
	 JMenuItem openItem = new JMenuItem();
	 JMenuItem saveItem = new JMenuItem();
	 JMenuItem saveAsItem = new JMenuItem();
	 JMenuItem printItem = new JMenuItem();
     JMenuItem exitItem = new JMenuItem();
     
	JSeparator JSeparator1 = new JSeparator();
	JSeparator JSeparator2 = new JSeparator();
	JSeparator JSeparator3 = new JSeparator();
	JSeparator JSeparator4 = new JSeparator();
	JSeparator JSeparator5 = new JSeparator();
	JSeparator JSeparator6 = new JSeparator();
	JSeparator JSeparator7 = new JSeparator();
	JSeparator JSeparator8 = new JSeparator();
	JSeparator JSeparator9 = new JSeparator();
	JSeparator JSeparator10 = new JSeparator();
	JSeparator JSeparator11 = new JSeparator();
	JSeparator JSeparator12 = new JSeparator();
	JSeparator JSeparator13 = new JSeparator();
	JSeparator JSeparator14 = new JSeparator();
	JSeparator JSeparator15 = new JSeparator();
	JSeparator JSeparator16 = new JSeparator();
	JSeparator JSeparator17 = new JSeparator();
	JSeparator JSeparator18 = new JSeparator();
	JSeparator JSeparator19 = new JSeparator();
	JSeparator JSeparator20 = new JSeparator();
	JSeparator JSeparator21 = new JSeparator();
	JSeparator JSeparator22 = new JSeparator();
	JSeparator JSeparator23 = new JSeparator();
	JSeparator JSeparator24 = new JSeparator();
	JSeparator JSeparator25 = new JSeparator();
	
	JMenu editMenu = new JMenu();
	 JMenuItem cutItem = new JMenuItem();
	 JMenuItem copyItem = new JMenuItem();
	 JMenuItem pasteItem = new JMenuItem();
	
	JMenu helpMenu = new JMenu();
	 JMenuItem aboutItem = new JMenuItem();
    //visual icon-based menus
	JMenu visualFileMenu = new JMenu();
	    JMenuItem visualFileMenuFileItem = new JMenuItem();
	    JMenuItem visualFileMenuOpenItem = new JMenuItem();
	    JMenuItem visualFileMenuSaveItem = new JMenuItem();
	    JMenuItem visualFileMenuSaveAsItem = new JMenuItem();
	    JMenuItem visualFileMenuPrintItem = new JMenuItem();
	JMenu visualEditMenu = new JMenu();
	    JMenuItem visualFileMenuEditItem = new JMenuItem();
	JMenu visualTypeMenu = new JMenu();
	    JMenuItem visualFileMenuType1Item = new JMenuItem();
	JMenu visualFingerSpellingFlagsMenu = new JMenu();
	    JMenuItem visualFileMenuFingerSpellingItem = new JMenuItem();
	JMenu visualWordsFlagsMenu = new JMenu();
	JMenu visualColorsMenu = new JMenu();
	JMenu visualHelpMenu = new JMenu();
    // menusInSignsAndIconsItem   
	JMenuItem menusInIconsItem = new JMenuItem();
    JMenu menusInSignsMenu = new JMenu();
    JMenu menusInSignsAndWordsMenu = new JMenu();

	JMenuItem menusInSignsItem = new JMenuItem();
	JMenuItem usaSignsItem = new JMenuItem();
	JMenuItem usaSignsItem2 = new JMenuItem();
	JMenuItem usaSignsItem3 = new JMenuItem();
	
	JMenuItem menusInWordsItem = new JMenuItem();
	JMenuItem menusInSignsAndWordsItem = new JMenuItem();
	JMenuItem menusInIconsAndWordsItem = new JMenuItem();
	JMenuItem menusInSignsAndIconsItem = new JMenuItem();
	JMenuItem menusInColorItem = new JMenuItem();
    //
	JMenuItem page1VisualItem = new JMenuItem();
	JMenuItem page2VisualItem = new JMenuItem();
	JMenuItem page3VisualItem = new JMenuItem();
	JMenuItem page4VisualItem = new JMenuItem();
    //flag menu stuff 

    JMenu menusInASLSignsMenu = new JMenu();
    JMenuItem menusInASLSigns1aMenuItem = new JMenuItem();
    //
	JMenu countryFlagMenu = new JMenu();
	JMenu countryFlagMenu2 = new JMenu();
	JMenu countryFlagMenu3 = new JMenu();
	//}}

	void exitApplication()
	{
		try {
	    	// Beep
	    	Toolkit.getDefaultToolkit().beep();
	    	// Show a confirmation dialog
	    	int reply = JOptionPane.showConfirmDialog(this, 
	    	                                          "Do you really want to exit?", 
	    	                                          "         SignWriter 5.0 - Exit" , 
	    	                                          JOptionPane.YES_NO_OPTION, 
	    	                                          JOptionPane.QUESTION_MESSAGE);
			// If the confirmation was affirmative, handle exiting.
			if (reply == JOptionPane.YES_OPTION)
			{
		    	this.setVisible(false);    // hide the Frame
		    	this.dispose();            // free the system resources
		    	System.exit(0);            // close the application
			}
		} catch (Exception e) {}
	}//method
	

	class SymMouse extends MouseAdapter
	{
		public void mouseReleased(MouseEvent event)
		{
			Object object = event.getSource();
			if (object == goToConfigButton)
				goToConfigButton_MouseReleased(event);
		}
	}//class

	void goToConfigButton_MouseReleased(MouseEvent event)
	{
		// to do: code goes here.
			 
		goToConfigButton_MouseReleased_Interaction1(event);
	}//method

	void goToConfigButton_MouseReleased_Interaction1(MouseEvent event)
	{
		try {
			this.removeAll();
			//7/30 ***** vvvv try this
			new SWConfig1().setVisible(true);;
			//new SWConfig1(flg).setVisible(true);;
			//7/30 ***** ^^^^
			this.dispose();
		} catch (Exception e) {
		}
	}//method
//}
	

	class SymWindow extends WindowAdapter
	{
		public void windowClosing(WindowEvent event)
		{
			Object object = event.getSource();
			if (object == IntlIconMenus1a.this)
				IntlIconMenus1a_windowClosing(event);
		}
	}//class

	void IntlIconMenus1a_windowClosing(WindowEvent event)
	{
		// to do: code goes here.
			 
		IntlIconMenus1a_windowClosing_Interaction1(event);
	}

	void IntlIconMenus1a_windowClosing_Interaction1(WindowEvent event) {
		try {
			this.exitApplication();
		} catch (Exception e) {
		}
	}

	class SymAction implements ActionListener
	{
		public void actionPerformed(ActionEvent event)
		{
			Object object = event.getSource();
			for(int ii = 1; ii < 51; ii++)
			{
			    if (object == jx[ii])//jx is a menu item
			    {
			        //save the index of the country menuItem that was chosen
			        saveJxxx = ii;
			        //call the method to deal with the choice
			        jx_actionPerformed(event);
                }			    
			}
			if (object == openItem)
				openItem_actionPerformed(event);
			else if (object == saveItem)
				saveItem_actionPerformed(event);
			else if (object == exitItem)
				exitItem_actionPerformed(event);
			else if (object == aboutItem)
				aboutItem_actionPerformed(event);
			else if (object == openButton)
				openButton_actionPerformed(event);
			else if (object == saveButton)
				saveButton_actionPerformed(event);
			else if (object == aboutButton)
				aboutButton_actionPerformed(event);
			else if (object == menusInASLSigns1aMenuItem)
				menusInASLSigns1aMenuItem_actionPerformed(event);
			else if (object == usaSignsItem)
				usaSignsItem_actionPerformed(event);
			else if (object == usaSignsItem2)
				usaSignsItem2_actionPerformed(event);
		}
	}

	void jx_actionPerformed(ActionEvent event)
	{

	    Locale setupLocale;
	    ResourceBundle setupMessages;
	    
	    setupLocale = new Locale("Checkbox", "Countries");
	    setupMessages = ResourceBundle.getBundle("MessagesBundle", setupLocale);
		

		for(int xx = 1; xx < 51; xx++)
		{
            //just chose a country/language from menusInWordsMenu, so 
		    //get the text off the checkbox that corresponds to the country just chosen
		    String jxxx = jx[saveJxxx].getText();
		    //imgDisplay.setText(jxxx + "\n");//check it
		    
		    //now, find the index to retrieve info from messagesBundle 
		    //by comparing text off checkbox w/country listed in messagesBundle
		    if( jxxx.equals(setupMessages.getString("country" + Integer.toString(xx))))
		    {
		        String lang = "code"  + "l" + Integer.toString(xx);
		        String cntry = "code"  + "c" + Integer.toString(xx);

                    this.removeAll();
                    //this.setVisible(false);
                    new IntlWordsMenus1a(flg, saveJxxx);
                    this.dispose();
		    }
		}
	}
	
	void usaSignsItem_actionPerformed(ActionEvent event)
	{
	    this.removeAll();
	    new MenusInASLSigns1a(flg);
	    this.dispose();
	}
	void usaSignsItem2_actionPerformed(ActionEvent event)
	{
	    this.removeAll();
	    new MenusInASLSignsAndWords1a(flg);
	    this.dispose();
	}
	
	void menusInASLSigns1aMenuItem_actionPerformed(ActionEvent event)
	{
	    this.removeAll();
	    new MenusInASLSigns1a(flg);
	    this.dispose();
	}

	void openItem_actionPerformed(ActionEvent event)
	{
		// to do: code goes here.
			 
		openItem_actionPerformed_Interaction1(event);
	}

	void openItem_actionPerformed_Interaction1(ActionEvent event) {
		try {
			// openFileDialog Show the FileDialog
			openFileDialog.setVisible(true);
		} catch (Exception e) {
		}
	}

	void saveItem_actionPerformed(ActionEvent event)
	{
		// to do: code goes here.
			 
		saveItem_actionPerformed_Interaction1(event);
	}

	void saveItem_actionPerformed_Interaction1(ActionEvent event) {
		try {
			// saveFileDialog Show the FileDialog
			saveFileDialog.setVisible(true);
		} catch (Exception e) {
		}
	}

	void exitItem_actionPerformed(ActionEvent event)
	{
		// to do: code goes here.
			 
		exitItem_actionPerformed_Interaction1(event);
	}

	void exitItem_actionPerformed_Interaction1(ActionEvent event) {
		try {
			this.exitApplication();
		} catch (Exception e) {
		}
	}

	void aboutItem_actionPerformed(ActionEvent event)
	{
		// to do: code goes here.
			 
		aboutItem_actionPerformed_Interaction1(event);
	}

	void aboutItem_actionPerformed_Interaction1(ActionEvent event) {
		try {
			// JAboutDialog Create with owner and show as modal
			{
				JAboutDialog JAboutDialog1 = new JAboutDialog(this);
				JAboutDialog1.setModal(true);
				JAboutDialog1.show();
			}
		} catch (Exception e) {
		}
	}

	void openButton_actionPerformed(ActionEvent event)
	{
		// to do: code goes here.
			 
		openButton_actionPerformed_Interaction1(event);
	}

	void openButton_actionPerformed_Interaction1(ActionEvent event) {
		try {
			// openFileDialog Show the FileDialog
			openFileDialog.setVisible(true);
		} catch (Exception e) {
		}
	}

	void saveButton_actionPerformed(ActionEvent event)
	{
		// to do: code goes here.
			 
		saveButton_actionPerformed_Interaction1(event);
	}

	void saveButton_actionPerformed_Interaction1(ActionEvent event) {
		try {
			// saveFileDialog Show the FileDialog
			saveFileDialog.setVisible(true);
		} catch (Exception e) {
		}
	}

	void aboutButton_actionPerformed(ActionEvent event)
	{
		// to do: code goes here.
			 
		aboutButton_actionPerformed_Interaction1(event);
	}
	//

/*************************************temp take out?????********
	void menusInWordsItem_actionPerformed(ActionEvent event)
	{
	    //this.dispose();//setVisible(false);this.setVisible(false);
	    this.setVisible(false);
	    new IntlWordsMenus1a(flg, "en", "US");//Cut1();//.setVisible(true);;
	    //IntlIconMenus1a newMenu = new IntlIconMenus1a();//("da", "DK");
	    //newMenu.setVisible(true);
	   // this.dispose();
	}
*/
/**
	void denmarkFlagItem3_actionPerformed(ActionEvent event)
	{
	    //this.dispose();//setVisible(false);this.setVisible(false);
	    this.removeAll();
	    //this.setVisible(false);
	    new IntlWordsMenus1a(flg, "da", "DK");//Cut1();//.setVisible(true);;
	    //IntlIconMenus1a newMenu = new IntlIconMenus1a("da", "DK");
	    //newMenu.setVisible(true);
	    this.dispose();
	}
*/
/**722
	void denmarkFlagItem4_actionPerformed(ActionEvent event)
	{
	    //this.dispose();//setVisible(false);this.setVisible(false);
	    this.removeAll();
	    //this.setVisible(false);
	    new IntlWordsMenus1a(flg, "da", "DK");//Cut1();//.setVisible(true);;
	    //IntlIconMenus1a newMenu = new IntlIconMenus1a("da", "DK");
	    //newMenu.setVisible(true);
	    this.dispose();
	}
	void switzerlandFlagItem4_actionPerformed(ActionEvent event)
	{
	    //this.dispose();//setVisible(false);this.setVisible(false);
	    this.removeAll();
	    //this.setVisible(false);
	    new IntlWordsMenus1a(flg, "de", "CH");//Cut1();//.setVisible(true);;
	    //IntlIconMenus1a newMenu = new IntlIconMenus1a("da", "DK");
	    //newMenu.setVisible(true);
	   this.dispose();
	}
	void usaFlagItem4_actionPerformed(ActionEvent event)
	{
	    //this.dispose();//setVisible(false);this.setVisible(false);
	    this.removeAll();
	    //this.setVisible(false);
	    new IntlWordsMenus1a(flg, "en", "US");//Cut1();//.setVisible(true);;
	    //IntlIconMenus1a newMenu = new IntlIconMenus1a("da", "DK");
	    //newMenu.setVisible(true);
	    this.dispose();
	}
*///722
    //
    void displayProblem(int k)
    {
	    Locale setupLocaleK = new Locale("Checkbox", "Countries");
	    ResourceBundle setupMessagesK = ResourceBundle.getBundle("MessagesBundle", setupLocaleK);
		        String languageK = "code"  + "l" + Integer.toString(k);
		        String countryK = "code"  + "c" + Integer.toString(k);


        String checkFileExists = "MessagesBundle_" + (setupMessagesK.getString(languageK )) + "_" + (setupMessagesK.getString(countryK)) + ".properties";
        checkFileExists += "DOES NOT EXIST";
        imgDisplay.append(checkFileExists);
        //.setText(checkFileExists);// + "DOES NOT XXX EXIST");
    }
	//
	void aboutButton_actionPerformed_Interaction1(ActionEvent event) {
		try {
			// JAboutDialog Create with owner and show as modal
			{
				JAboutDialog JAboutDialog1 = new JAboutDialog(this);
				JAboutDialog1.setModal(true);
				JAboutDialog1.show();
			}
		} catch (Exception e) {
		}
	}
}