import java.awt.*;
import java.awt.event.*;

import com.sun.java.swing.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.event.*;

import java.util.*;

import com.symantec.itools.swing.JToolBarSeparator;
import com.symantec.itools.swing.icons.ImageIcon;

/**
 * This is the SW 5.0 with text (words) menus
 */
public class IntlWordsPlusIconsMenus1a extends com.sun.java.swing.JFrame //implements ActionListener //MenuListener
{
	String language = null;//"da";//"en";//
	String country  = null;//"DK";//"US";//

    private static String[] countryNamesArray = { "belgium", "brazil", "canada", "denmark",
                                             "france", "ireland", "italy", "mexico",
                                             "nicaragua", "norway", "portugal", "spain",
                                             "sweden", "switzerland", "taiwan", "uk", "usa" };
	//constructor
	public IntlWordsPlusIconsMenus1a(String language, String country)
	{
	    if(language == null && country == null){
	        language = "en";
	        country = "US";
	    }

	    Locale currentLocale;
	    ResourceBundle messages;
	    currentLocale = new Locale(language, country);
	    messages = ResourceBundle.getBundle("MessagesBundle", currentLocale);
	    //general format***String FileMenuTitle = messages.getString("fileMenuTitle");
        //
		setTitle("SignWriter 5.0");
		setDefaultCloseOperation(com.sun.java.swing.JFrame.DO_NOTHING_ON_CLOSE);
		getContentPane().setLayout(new BorderLayout());//(50,50));
		setSize(700,500);
		setVisible(false);
        //
        //visualFileMenuType1Item.setIcon(type1VisualIcon);
		saveFileDialog.setMode(FileDialog.LOAD);
		//$$ saveFileDialog.move(24,336);
		openFileDialog.setMode(FileDialog.LOAD);
		//$$ openFileDialog.move(0,336);
        JPanel1.add(JMenuBar1);

        //do menus icons
		try {
			printIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/print-UseThis.jpg"));//("fileVisual.jpg"));//
		}
		catch (java.net.MalformedURLException error) { }
		try {
			newIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/new.gif"));//("fileVisual.jpg"));//
		}
		catch (java.net.MalformedURLException error) { }
		//$$ newIcon.move(144,312);
		try {
			openIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/open.gif"));//("editVisual.jpg"));//
		}
		catch (java.net.MalformedURLException error) { }
		//$$ openIcon.move(120,312);
		try {
			saveIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/save.gif"));//("type1Visual.jpg"));//("saveVisual.jpg"));//
		}
		catch (java.net.MalformedURLException error) { }
		//$$ saveIcon.move(96,312);
		try {
			cutIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/cut.gif"));//("type1Visual.jpg"));//("saveasVisual.jpg"));//
		}
		catch (java.net.MalformedURLException error) { }
		//$$ cutIcon.move(72,312);
		try {
			copyIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/copy.gif"));//("type1Visual.jpg"));
		}
		catch (java.net.MalformedURLException error) { }
		//$$ copyIcon.move(48,312);
		try {
			pasteIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/pasteVisual.jpg"));
		}
		catch (java.net.MalformedURLException error) { }
		//$$ pasteIcon.move(24,312);
		try {
			aboutIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("learn1Visual.jpg"));//("images/about.gif"));
		}
		catch (java.net.MalformedURLException error) { }
		//$$ aboutIcon.move(0,312);
		saveFileDialog.setMode(FileDialog.SAVE);
		saveFileDialog.setTitle("Save");
		//$$ saveFileDialog.move(24,336);
		openFileDialog.setMode(FileDialog.LOAD);
		openFileDialog.setTitle("Open");
		//$$ openFileDialog.move(0,336);
		JPanel2.setLayout(new FlowLayout(FlowLayout.LEFT,10,10));
		getContentPane().add("North", JPanel2);
		JPanel2.setBounds(0,0,50,29);
        
		//put the menu bar on
		getContentPane().add("West", JPanel1);

        //retrieve file menu title from resource bundle
		fileMenu.setText(messages.getString("fileMenuTitle"));
		fileMenu.setActionCommand("File");
		fileMenu.setMnemonic((int)'F');
		JMenuBar1.add(fileMenu);
		//put items in the menu
		newItem.setIcon(newIcon);
		newItem.setHorizontalTextPosition(com.sun.java.swing.SwingConstants.RIGHT);
		newItem.setText(messages.getString("fileMenuItemNew"));
		newItem.setActionCommand("New");
		newItem.setAccelerator(com.sun.java.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_N, Event.CTRL_MASK));
		newItem.setMnemonic((int)'N');
		fileMenu.add(newItem);
		//
		openItem.setIcon(openIcon);
		openItem.setHorizontalTextPosition(com.sun.java.swing.SwingConstants.RIGHT);
		openItem.setText(messages.getString("fileMenuItemOpen"));
		openItem.setActionCommand("Open...");
		openItem.setAccelerator(com.sun.java.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_O, Event.CTRL_MASK));
		openItem.setMnemonic((int)'O');
		fileMenu.add(openItem);
		//
		saveItem.setIcon(saveIcon);
		saveItem.setHorizontalTextPosition(com.sun.java.swing.SwingConstants.RIGHT);
	    saveItem.setText(messages.getString("fileMenuItemSave"));
		saveItem.setActionCommand("Save");
		saveItem.setAccelerator(com.sun.java.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_S, Event.CTRL_MASK));
		saveItem.setMnemonic((int)'S');
		fileMenu.add(saveItem);
        //
		saveAsItem.setHorizontalTextPosition(com.sun.java.swing.SwingConstants.RIGHT);
		saveAsItem.setText(messages.getString("fileMenuItemSaveAs"));
		saveAsItem.setActionCommand("Save As...");
		saveAsItem.setMnemonic((int)'A');
		fileMenu.add(saveAsItem);
		//
		printItem.setIcon(printIcon);
		printItem.setHorizontalTextPosition(com.sun.java.swing.SwingConstants.RIGHT);
		printItem.setText(messages.getString("fileMenuItemPrint"));
		printItem.setActionCommand("Print");
		printItem.setMnemonic((int)'P');
		fileMenu.add(printItem);
		fileMenu.add(JSeparator1);
		//
		exitItem.setText(messages.getString("fileMenuItemExit"));
		exitItem.setActionCommand("Exit");
		exitItem.setMnemonic((int)'X');
		fileMenu.add(exitItem);
		
		//editMenu
		editMenu.setText(messages.getString("editMenuTitle"));
		editMenu.setActionCommand("Edit");
		editMenu.setMnemonic((int)'E');
		JMenuBar1.add(editMenu);
		//
		cutItem.setIcon(cutIcon);
		cutItem.setHorizontalTextPosition(com.sun.java.swing.SwingConstants.RIGHT);
		cutItem.setText(messages.getString("editMenuItemCut"));
		cutItem.setActionCommand("Cut");
		cutItem.setAccelerator(com.sun.java.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_X, Event.CTRL_MASK));
		cutItem.setMnemonic((int)'T');
		editMenu.add(cutItem);
		//
		copyItem.setIcon(copyIcon);
		copyItem.setHorizontalTextPosition(com.sun.java.swing.SwingConstants.RIGHT);
		copyItem.setText(messages.getString("editMenuItemCopy"));
		copyItem.setActionCommand("Copy");
		copyItem.setAccelerator(com.sun.java.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_C, Event.CTRL_MASK));
		copyItem.setMnemonic((int)'C');
		editMenu.add(copyItem);
		//
		pasteItem.setIcon(pasteIcon);
		pasteItem.setHorizontalTextPosition(com.sun.java.swing.SwingConstants.RIGHT);
		pasteItem.setText(messages.getString("editMenuItemPaste"));
		pasteItem.setActionCommand("Paste");
		pasteItem.setAccelerator(com.sun.java.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_V, Event.CTRL_MASK));
		pasteItem.setMnemonic((int)'P');
	    editMenu.add(pasteItem);
		//}}
            belgiumMenusMenuItem.setText("Belgium-French");
            denmarkMenusMenuItem.setText("Denmark");
            franceMenusMenuItem.setText("France");
            switzerlandMenusMenuItem.setText("Switzerland-German");
            usaMenusMenuItem.setText("USA");
        //}}
		//{{REGISTER_LISTENERS
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
		SymAction lSymAction = new SymAction();
		openItem.addActionListener(lSymAction);
		saveItem.addActionListener(lSymAction);
		exitItem.addActionListener(lSymAction);
		aboutItem.addActionListener(lSymAction);
		openButton.addActionListener(lSymAction);
		saveButton.addActionListener(lSymAction);
		aboutButton.addActionListener(lSymAction);
	        belgiumMenusMenuItem.addActionListener(lSymAction);
	        denmarkMenusMenuItem.addActionListener(lSymAction);
	        franceMenusMenuItem.addActionListener(lSymAction);
            switzerlandMenusMenuItem.addActionListener(lSymAction);
            usaMenusMenuItem.addActionListener(lSymAction);
		//}}

    //declare the ImageIcons    
    ImageIcon grayBar1Icon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon belgiumFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon brazilFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon canadaFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon denmarkFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon franceFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon irelandFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon italyFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon mexicoFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon nicaraguaFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon norwayFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon portugalFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon spainFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon swedenFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon switzerlandFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon taiwanFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon ukFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon usaFlagIcon = new com.symantec.itools.swing.icons.ImageIcon();
    //
    ImageIcon page1VisualIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon page2VisualIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon page3VisualIcon = new com.symantec.itools.swing.icons.ImageIcon();
    ImageIcon page4VisualIcon = new com.symantec.itools.swing.icons.ImageIcon();
    
	try {
			
			grayBar1Icon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/grayBar1.JPG"));
			belgiumFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Belgium.JPG"));
			brazilFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Brazil.JPG"));
			canadaFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Canada.JPG"));
			denmarkFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Denmark.JPG"));
			franceFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/France.JPG"));
			irelandFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Ireland.JPG"));
			italyFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Italy.JPG"));
			mexicoFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Mexico.JPG"));
			nicaraguaFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Nicaragua.JPG"));
			norwayFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Norway.JPG"));
			portugalFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Portugal.JPG"));
			spainFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Spain.JPG"));
			swedenFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Sweden.JPG"));
			switzerlandFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Switzerland.JPG"));
			taiwanFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/Taiwan.JPG"));
			ukFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/UK.JPG"));
			usaFlagIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/USA.JPG"));

			page1VisualIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/page1Visual.JPG"));
			page2VisualIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/page2Visual.JPG"));
			page3VisualIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/page3Visual.JPG"));
			page4VisualIcon.setImageLocation(symantec.itools.net.RelativeURL.getURL("images/page4Visual.JPG"));
		
		}
		catch (java.net.MalformedURLException error) { }
	//com.sun.java.swing.JButton JButton1 = new com.sun.java.swing.JButton(imageIcon1);
	//com.sun.java.swing.JButton JButton2 = new com.sun.java.swing.JButton(imageIcon2);
	//com.sun.java.swing.JButton JButton3 = new com.sun.java.swing.JButton("3",imageIcon3);
	//com.sun.java.swing.JButton JButton4 = new com.sun.java.swing.JButton("4",imageIcon4);
	//com.sun.java.swing.JButton JButton5 = new com.sun.java.swing.JButton("5",imageIcon5);

       // JButton1.setIcon(imageIcon1);
		//JButton1.setActionCommand("foo");
	    //getContentPane().add(JButton1);
	    //getContentPane().add(JButton2);
		//JButton1.setBounds(60,24,84,40);

       // JMenuBar1.add(JButton1);
       // JMenuBar1.add(JButton2);
		//add(JButton1);
		grayBarFileMenuItem1.setIcon(grayBar1Icon);
		grayBarFileMenuItem2.setIcon(grayBar1Icon);
		grayBarFileMenuItem3.setIcon(grayBar1Icon);
       
        //first set
		grayBarWordsItem.setIcon(grayBar1Icon);
		//*****belgiumWordsMenu.setText("Belgium");
		brazilWordsMenu.setText("XXXXXXXXXXX");
		canadaWordsMenu.setText("Canada");
		denmarkWordsMenu.setText("Denmark");
		//franceWordsMenu.setText("France");
		irelandWordsMenu.setText("Ireland");
		italyWordsMenu.setText("Italy");
		mexicoWordsMenu.setText("Mexico");
		nicaraguaWordsMenu.setText("Nicaragua");
		norwayWordsMenu.setText("Norway");
		portugalWordsMenu.setText("Portugal");
		spainWordsMenu.setText("Spain");
		swedenWordsMenu.setText("Sweden");
		switzerlandWordsMenu.setText("Switzerland");
		taiwanWordsMenu.setText("Taiwan");
		ukWordsMenu.setText("UK");
		//******usaWordsMenu.setText("USA");
		//second set for menu2
		grayBarWordsItem2.setIcon(grayBar1Icon);
		belgiumWordsMenu2.setText("Belgium");
		brazilWordsMenu2.setText("Brazil");
		canadaWordsMenu2.setText("Canada");
		denmarkWordsMenu2.setText("Denmark");
		franceWordsMenu2.setText("France");
		irelandWordsMenu2.setText("Ireland");
		italyWordsMenu2.setText("Italy");
		mexicoWordsMenu2.setText("Mexico");
		nicaraguaWordsMenu2.setText("Nicaragua");
		norwayWordsMenu2.setText("Norway");
		portugalWordsMenu2.setText("Portugal");
		spainWordsMenu2.setText("Spain");
		swedenWordsMenu2.setText("Sweden");
		switzerlandWordsMenu2.setText("Switzerland");
		taiwanWordsMenu2.setText("Taiwan");
		ukWordsMenu2.setText("UK");
		usaWordsMenu2.setText("USA");
        //3rd set		
		grayBarWordsItem3.setIcon(grayBar1Icon);
		belgiumWordsMenu3.setText("Belgium");
		brazilWordsMenu3.setText("Brazil");
		canadaWordsMenu3.setText("Canada");
		denmarkWordsMenu3.setText("Denmark");
		franceWordsMenu3.setText("France");
		irelandWordsMenu3.setText("Ireland");
		italyWordsMenu3.setText("Italy");
		mexicoWordsMenu3.setText("Mexico");
		nicaraguaWordsMenu3.setText("Nicaragua");
		norwayWordsMenu3.setText("Norway");
		portugalWordsMenu3.setText("Portugal");
		spainWordsMenu3.setText("Spain");
		swedenWordsMenu3.setText("Sweden");
		switzerlandWordsMenu3.setText("Switzerland");
		taiwanWordsMenu3.setText("Taiwan");
		ukWordsMenu3.setText("UK");
		usaWordsMenu3.setText("USA");
		//
        //		
		page1Item.setText("Type Down, Left to Right");
		page2Item.setText("Type Down, Right to Left");
		page3Item.setText("Type Left to Right");
		page4Item.setText("Type Right to Left");
		page5Item.setText("Type Other Patterns");
		//
        //put menusMenu here because submenus need room on right
	    com.sun.java.swing.JMenu menusWordsMenu1 = new com.sun.java.swing.JMenu();
		menusWordsMenu1.setMnemonic((int)'M');
	    menusWordsMenu1.setText(messages.getString("menusMenuTitle"));
          menusInIconsWordsMenu.setText(messages.getString("menusMenuItemMenusinIcons"));//submenu
    	    menusWordsMenu1.add(menusInIconsWordsMenu);//submenu
	        menusInIconsWordsMenu.addActionListener(lSymAction);
          menusInSignsWordsMenu.setText(messages.getString("menusMenuItemMenusinSigns"));//submenu
    	    menusWordsMenu1.add(menusInSignsWordsMenu);//submenu
          menusInWordsWordsMenu.setText(messages.getString("menusMenuItemMenusinWords"));//submenu
		    menusWordsMenu1.add(menusInWordsWordsMenu);//submenu
        //************** now fill the submenus with choices
        //fill the menusInWordsWordsMenu
	    menusInWordsWordsMenu.add("Belgium-French");//should be .add(belgiumMenusMenuItem
	    menusInWordsWordsMenu.add("Brazil");
	    menusInWordsWordsMenu.add("Canada");
	    //menusInWordsWordsMenu.add("Denmark");
	        menusInWordsWordsMenu.add(denmarkMenusMenuItem);
	    menusInWordsWordsMenu.add("France");
	    menusInWordsWordsMenu.add("Ireland");
	    menusInWordsWordsMenu.add("Italy");
	    menusInWordsWordsMenu.add("Mexico");
	    menusInWordsWordsMenu.add("Nicaragua");
	    menusInWordsWordsMenu.add("Norway");
	    menusInWordsWordsMenu.add("Portugal");
	    menusInWordsWordsMenu.add("Spain");
	    menusInWordsWordsMenu.add("Sweden");
	    menusInWordsWordsMenu.add(switzerlandMenusMenuItem);
	    menusInWordsWordsMenu.add("Taiwan");
	    menusInWordsWordsMenu.add("UK");
	    //menusInWordsWordsMenu.add("USA");
	      menusInWordsWordsMenu.add(usaMenusMenuItem);
        //set the title that shows in main menu as selection

    	
    	menusWordsMenu1.add(JSeparator22);
    	//
    	menusWordsMenu1.add("Menus In Signs & Words");//this needs to be turned into submenu
    	menusWordsMenu1.add("Menus In Icons & Words");//this needs to be turned into submenu
    	menusWordsMenu1.add("Menus In Signs & Icons");//this needs to be turned into submenu
        menusWordsMenu1.add(JSeparator21);
    	menusWordsMenu1.add("Menus In Color");//this needs to be turned into submenu
        //
	    menusInSignsWordsMenu.add("Belgium-French");//should be .add(belgiumMenusMenuItem);
	    menusInSignsWordsMenu.add("Brazil");
	    menusInSignsWordsMenu.add("Canada");
	    menusInSignsWordsMenu.add("Denmark");//should be.add(denmarkMenusMenuItem);
	        menusInSignsWordsMenu.add("France");//(franceMenusMenuItem);
	    menusInSignsWordsMenu.add("Ireland");
	    menusInSignsWordsMenu.add("Italy");
	    menusInSignsWordsMenu.add("Mexico");
	    menusInSignsWordsMenu.add("Nicaragua");
	    menusInSignsWordsMenu.add("Norway");
	    menusInSignsWordsMenu.add("Portugal");
	    menusInSignsWordsMenu.add("Spain");
	    menusInSignsWordsMenu.add("Sweden");
	    menusInSignsWordsMenu.add("Switzerland");//should be .add(switzerlandMenusMenuItem)
	    menusInSignsWordsMenu.add("Taiwan");
	    menusInSignsWordsMenu.add("UK");
	    menusInSignsWordsMenu.add("USA");
	        //menusInSignsWordsMenu.add(usaMenusMenuItem);
        //
		JMenuBar1.add(menusWordsMenu1);

        //NOW --**** put in typeSigns Menu
	    com.sun.java.swing.JMenu typeSignsMenu1 = new com.sun.java.swing.JMenu();
		typeSignsMenu1.setMnemonic((int)'S');
        typeSignsMenu1.setText(messages.getString("signsMenuTitle"));
        typeSignsMenu1.add(page1Item);
        typeSignsMenu1.add(page2Item);
        typeSignsMenu1.add(JSeparator24);
        typeSignsMenu1.add(page3Item);
        typeSignsMenu1.add(page4Item);
        typeSignsMenu1.add(JSeparator23);
        typeSignsMenu1.add(page5Item);
		JMenuBar1.add(typeSignsMenu1);
        
        //typeFingerspellingWordsMenu1
 	    com.sun.java.swing.JMenu typeFingerspellingWordsMenu1 = new com.sun.java.swing.JMenu();
		//fileMenu.setText(" File");
		//fileMenu.setActionCommand("File");
		typeFingerspellingWordsMenu1.setMnemonic((int)'G');
	    typeFingerspellingWordsMenu1.setText(messages.getString("fingerspellingMenuTitle"));//("  Type FingerSpelling");
	    typeFingerspellingWordsMenu1.add(belgiumWordsMenu2);
	    typeFingerspellingWordsMenu1.add(brazilWordsMenu2);
	    typeFingerspellingWordsMenu1.add(canadaWordsMenu2);
	    typeFingerspellingWordsMenu1.add(denmarkWordsMenu2);
	    typeFingerspellingWordsMenu1.add(franceWordsMenu2);
	    typeFingerspellingWordsMenu1.add(irelandWordsMenu2);
	    typeFingerspellingWordsMenu1.add(italyWordsMenu2);
	    typeFingerspellingWordsMenu1.add(mexicoWordsMenu2);
	    typeFingerspellingWordsMenu1.add(nicaraguaWordsMenu2);
	    typeFingerspellingWordsMenu1.add(norwayWordsMenu2);
	    typeFingerspellingWordsMenu1.add(portugalWordsMenu2);
	    typeFingerspellingWordsMenu1.add(spainWordsMenu2);
	    typeFingerspellingWordsMenu1.add(swedenWordsMenu2);
	    typeFingerspellingWordsMenu1.add(switzerlandWordsMenu2);
	    typeFingerspellingWordsMenu1.add(taiwanWordsMenu2);
	    typeFingerspellingWordsMenu1.add(ukWordsMenu2);
	    typeFingerspellingWordsMenu1.add(usaWordsMenu2);
		JMenuBar1.add(typeFingerspellingWordsMenu1);

        //typeWordsWordsmenu1
	    com.sun.java.swing.JMenu typeWordsWordsmenu1 = new com.sun.java.swing.JMenu();
		typeWordsWordsmenu1.setMnemonic((int)'W');
	    typeWordsWordsmenu1.setText(messages.getString("wordsMenuTitle"));//("Type Words");
	    typeWordsWordsmenu1.add(belgiumWordsMenu3);
	    typeWordsWordsmenu1.add(brazilWordsMenu3);
	    typeWordsWordsmenu1.add(canadaWordsMenu3);
	    typeWordsWordsmenu1.add(denmarkWordsMenu3);
	    typeWordsWordsmenu1.add(franceWordsMenu3);
	    typeWordsWordsmenu1.add(irelandWordsMenu3);
	    typeWordsWordsmenu1.add(italyWordsMenu3);
	    typeWordsWordsmenu1.add(mexicoWordsMenu3);
	    typeWordsWordsmenu1.add(nicaraguaWordsMenu3);
	    typeWordsWordsmenu1.add(norwayWordsMenu3);
	    typeWordsWordsmenu1.add(portugalWordsMenu3);
	    typeWordsWordsmenu1.add(spainWordsMenu3);
	    typeWordsWordsmenu1.add(swedenWordsMenu3);
	    typeWordsWordsmenu1.add(switzerlandWordsMenu3);
	    typeWordsWordsmenu1.add(taiwanWordsMenu3);
	    typeWordsWordsmenu1.add(ukWordsMenu3);
	    typeWordsWordsmenu1.add(usaWordsMenu3);
		JMenuBar1.add(typeWordsWordsmenu1);
        //
       //signDictionariesWordsMenu1
	    com.sun.java.swing.JMenu signDictionariesWordsMenu1 = new com.sun.java.swing.JMenu();
		signDictionariesWordsMenu1.setMnemonic((int)'D');
	    signDictionariesWordsMenu1.setText(messages.getString("dictionariesMenuTitle"));
	    signDictionariesWordsMenu1.add("Bazil");
	    signDictionariesWordsMenu1.add("Canada");
	    signDictionariesWordsMenu1.add("Denmark");
	    signDictionariesWordsMenu1.add("France");
	    signDictionariesWordsMenu1.add("Ireland");
	    signDictionariesWordsMenu1.add("Italy");
	    signDictionariesWordsMenu1.add("Mexico");
	    signDictionariesWordsMenu1.add("Nicaragua");
	    signDictionariesWordsMenu1.add("Norway");
	    signDictionariesWordsMenu1.add("Portugal");
	    signDictionariesWordsMenu1.add("Spain");
	    signDictionariesWordsMenu1.add("Sweden");
	    signDictionariesWordsMenu1.add("Switzerland");
	    signDictionariesWordsMenu1.add("Taiwan");
	    signDictionariesWordsMenu1.add("UK");
	    signDictionariesWordsMenu1.add("USA");
		JMenuBar1.add(signDictionariesWordsMenu1);
        //
        //
	    com.sun.java.swing.JMenu fontsMenu1 = new com.sun.java.swing.JMenu();
	    fontsMenu1.setText(messages.getString("fontsMenuTitle"));
		fontsMenu1.setMnemonic((int)'T');
        fontsMenu1.add("Large");
	    fontsMenu1.add("Medium");
	    fontsMenu1.add("Small");
        fontsMenu1.add(JSeparator20);
	    fontsMenu1.add("Italic");
	    fontsMenu1.add("Bold");
        //fontsMenu1.add(JSeparator19);
        fontsMenu1.add("Color Symbols");
        //fontsMenu1.add(JSeparator17);
        fontsMenu1.add("Color Signs");
	    JMenuBar1.add(fontsMenu1);
        //
        //
	belgiumWordsMenu.add(" Menus In Icons");
	belgiumWordsMenu.add(" Menus In Signs");
	belgiumWordsMenu.add(" Menus In Words");
	belgiumWordsMenu.add(JSeparator3);
	belgiumWordsMenu.add(" Menus In Signs & Words");
	belgiumWordsMenu.add(" Menus In Icons & Words");
	belgiumWordsMenu.add(" Menus In Signs & Icons");
	belgiumWordsMenu.add(" Menus In Color");
    //
	brazilWordsMenu.add(" Menus In Icons");
	brazilWordsMenu.add(" Menus In Signs");
	brazilWordsMenu.add(" Menus In Words");
	brazilWordsMenu.add(JSeparator4);
	brazilWordsMenu.add(" Menus In Signs & Words");
	brazilWordsMenu.add(" Menus In Icons & Words");
	brazilWordsMenu.add(" Menus In Signs & Icons");
	brazilWordsMenu.add(" Menus In Color");

	canadaWordsMenu.add(" Menus In Icons");
	canadaWordsMenu.add(" Menus In Signs");
	canadaWordsMenu.add(" Menus In Words");
	canadaWordsMenu.add(JSeparator5);
	canadaWordsMenu.add(" Menus In Signs & Words");
	canadaWordsMenu.add(" Menus In Icons & Words");
	canadaWordsMenu.add(" Menus In Signs & Icons");
	canadaWordsMenu.add(" Menus In Color");

	denmarkWordsMenu.add(" Menus In Icons");
	denmarkWordsMenu.add(" Menus In Signs");
	denmarkWordsMenu.add(" Menus In Words");
	denmarkWordsMenu.add(JSeparator6);
	denmarkWordsMenu.add(" Menus In Signs & Words");
	denmarkWordsMenu.add(" Menus In Icons & Words");
	denmarkWordsMenu.add(" Menus In Signs & Icons");
	denmarkWordsMenu.add(" Menus In Color");

	franceWordsMenu.add(" Menus In Icons");
	franceWordsMenu.add(" Menus In Signs");
	franceWordsMenu.add(" Menus In Words");
	franceWordsMenu.add(JSeparator7);
	franceWordsMenu.add(" Menus In Signs & Words");
	franceWordsMenu.add(" Menus In Icons & Words");
	franceWordsMenu.add(" Menus In Signs & Icons");
	franceWordsMenu.add(" Menus In Color");

	irelandWordsMenu.add(" Menus In Icons");
	irelandWordsMenu.add(" Menus In Signs");
	irelandWordsMenu.add(" Menus In Words");
	irelandWordsMenu.add(JSeparator8);
	irelandWordsMenu.add(" Menus In Signs & Words");
	irelandWordsMenu.add(" Menus In Icons & Words");
	irelandWordsMenu.add(" Menus In Signs & Icons");
	irelandWordsMenu.add(" Menus In Color");

	italyWordsMenu.add(" Menus In Icons");
	italyWordsMenu.add(" Menus In Signs");
	italyWordsMenu.add(" Menus In Words");
	italyWordsMenu.add(JSeparator9);
	italyWordsMenu.add(" Menus In Signs & Words");
	italyWordsMenu.add(" Menus In Icons & Words");
	italyWordsMenu.add(" Menus In Signs & Icons");
	italyWordsMenu.add(" Menus In Color");

	mexicoWordsMenu.add(" Menus In Icons");
	mexicoWordsMenu.add(" Menus In Signs");
	mexicoWordsMenu.add(" Menus In Words");
	mexicoWordsMenu.add(JSeparator10);
	mexicoWordsMenu.add(" Menus In Signs & Words");
	mexicoWordsMenu.add(" Menus In Icons & Words");
	mexicoWordsMenu.add(" Menus In Signs & Icons");
	mexicoWordsMenu.add(" Menus In Color");

	nicaraguaWordsMenu.add(" Menus In Icons");
	nicaraguaWordsMenu.add(" Menus In Signs");
	nicaraguaWordsMenu.add(" Menus In Words");
	nicaraguaWordsMenu.add(JSeparator11);
	nicaraguaWordsMenu.add(" Menus In Signs & Words");
	nicaraguaWordsMenu.add(" Menus In Icons & Words");
	nicaraguaWordsMenu.add(" Menus In Signs & Icons");
	nicaraguaWordsMenu.add(" Menus In Color");

	norwayWordsMenu.add(" Menus In Icons");
	norwayWordsMenu.add(" Menus In Signs");
	norwayWordsMenu.add(" Menus In Words");
	norwayWordsMenu.add(JSeparator12);
	norwayWordsMenu.add(" Menus In Signs & Words");
	norwayWordsMenu.add(" Menus In Icons & Words");
	norwayWordsMenu.add(" Menus In Signs & Icons");
	norwayWordsMenu.add(" Menus In Color");

	portugalWordsMenu.add(" Menus In Icons");
	portugalWordsMenu.add(" Menus In Signs");
	portugalWordsMenu.add(" Menus In Words");
	portugalWordsMenu.add(JSeparator13);
	portugalWordsMenu.add(" Menus In Signs & Words");
	portugalWordsMenu.add(" Menus In Icons & Words");
	portugalWordsMenu.add(" Menus In Signs & Icons");
	portugalWordsMenu.add(" Menus In Color");

	spainWordsMenu.add(" Menus In Icons");
	spainWordsMenu.add(" Menus In Signs");
	spainWordsMenu.add(" Menus In Words");
	spainWordsMenu.add(JSeparator14);
	spainWordsMenu.add(" Menus In Signs & Words");
	spainWordsMenu.add(" Menus In Icons & Words");
	spainWordsMenu.add(" Menus In Signs & Icons");
	spainWordsMenu.add(" Menus In Color");

	swedenWordsMenu.add(" Menus In Icons");
	swedenWordsMenu.add(" Menus In Signs");
	swedenWordsMenu.add(" Menus In Words");
	swedenWordsMenu.add(JSeparator15);
	swedenWordsMenu.add(" Menus In Signs & Words");
	swedenWordsMenu.add(" Menus In Icons & Words");
	swedenWordsMenu.add(" Menus In Signs & Icons");
	swedenWordsMenu.add(" Menus In Color");

	switzerlandWordsMenu.add(" Menus In Icons");
	switzerlandWordsMenu.add(" Menus In Signs");
	switzerlandWordsMenu.add(" Menus In Words");
	switzerlandWordsMenu.add(JSeparator16);
	switzerlandWordsMenu.add(" Menus In Signs & Words");
	switzerlandWordsMenu.add(" Menus In Icons & Words");
	switzerlandWordsMenu.add(" Menus In Signs & Icons");
	switzerlandWordsMenu.add(" Menus In Color");

	taiwanWordsMenu.add(" Menus In Icons");
	taiwanWordsMenu.add(" Menus In Signs");
	taiwanWordsMenu.add(" Menus In Words");
	taiwanWordsMenu.add(JSeparator17);
	taiwanWordsMenu.add(" Menus In Signs & Words");
	taiwanWordsMenu.add(" Menus In Icons & Words");
	taiwanWordsMenu.add(" Menus In Signs & Icons");
	taiwanWordsMenu.add(" Menus In Color");

	ukWordsMenu.add(" Menus In Icons");
	ukWordsMenu.add(" Menus In Signs");
	ukWordsMenu.add(" Menus In Words");
	ukWordsMenu.add(JSeparator18);
	ukWordsMenu.add(" Menus In Signs & Words");
	ukWordsMenu.add(" Menus In Icons & Words");
	ukWordsMenu.add(" Menus In Signs & Icons");
	ukWordsMenu.add(" Menus In Color");

	usaWordsMenu.add(" Menus In Icons");
	usaWordsMenu.add(" Menus In Signs");
	usaWordsMenu.add(" Menus In Words");
	usaWordsMenu.add(JSeparator19);
	usaWordsMenu.add(" Menus In Signs & Words");
	usaWordsMenu.add(" Menus In Icons & Words");
	usaWordsMenu.add(" Menus In Signs & Icons");
	usaWordsMenu.add(" Menus In Color");

		// helpMenu
		helpMenu.setText(messages.getString("helpMenuTitle"));
		helpMenu.setActionCommand("Help");
		helpMenu.setMnemonic((int)'H');
		JMenuBar1.add(helpMenu);
		aboutItem.setIcon(aboutIcon);
		aboutItem.setHorizontalTextPosition(com.sun.java.swing.SwingConstants.RIGHT);
		aboutItem.setText(messages.getString("helpMenuItemAboutSignWriter"));
		aboutItem.setActionCommand("About...");
		aboutItem.setMnemonic((int)'A');
		helpMenu.add(aboutItem);
	};

    //**************************************************************
	/**
	 * The entry point for this application.
	 * Sets the Look and Feel to the System Look and Feel.
	 * Creates a new JFrame1 and makes it visible.
	 */
	static public void main(String args[])
	{
		try {
		    // Add the following code if you want the Look and Feel
		    // to be set to the Look and Feel of the native system.
		    /*
		    try {
		        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		    } 
		    catch (Exception e) { 
		    }
		    */

			//Create a new instance of our application's frame, and make it visible.
			(new IntlWordsMenus1a(null, null)).setVisible(true);
		} 
		catch (Throwable t) {
			t.printStackTrace();
			//Ensure the application exits with an error condition.
			System.exit(1);
		}
	}

    /**
     * Notifies this component that it has been added to a container
     * This method should be called by <code>Container.add</code>, and 
     * not by user code directly.
     * Overridden here to adjust the size of the frame if needed.
     * @see java.awt.Container#removeNotify
     */
	public void addNotify()
	{
		// Record the size of the window prior to calling parents addNotify.
		Dimension size = getSize();
		
		super.addNotify();
		
		if (frameSizeAdjusted)
			return;
		frameSizeAdjusted = true;
		
		// Adjust size of frame according to the insets and menu bar
		com.sun.java.swing.JMenuBar menuBar = getRootPane().getJMenuBar();
		int menuBarHeight = 0;
		if (menuBar != null)
		    menuBarHeight = menuBar.getPreferredSize().height;
		Insets insets = getInsets();
		setSize(insets.left + insets.right + size.width, insets.top + insets.bottom + size.height + menuBarHeight);
	}

	// Used by addNotify
	boolean frameSizeAdjusted = false;

	//{{DECLARE_CONTROLS
	com.symantec.itools.swing.icons.ImageIcon printIcon = new com.symantec.itools.swing.icons.ImageIcon();
	com.symantec.itools.swing.icons.ImageIcon newIcon = new com.symantec.itools.swing.icons.ImageIcon();
	com.symantec.itools.swing.icons.ImageIcon openIcon = new com.symantec.itools.swing.icons.ImageIcon();
	com.symantec.itools.swing.icons.ImageIcon saveIcon = new com.symantec.itools.swing.icons.ImageIcon();
	com.symantec.itools.swing.icons.ImageIcon cutIcon = new com.symantec.itools.swing.icons.ImageIcon();
	com.symantec.itools.swing.icons.ImageIcon copyIcon = new com.symantec.itools.swing.icons.ImageIcon();
	com.symantec.itools.swing.icons.ImageIcon pasteIcon = new com.symantec.itools.swing.icons.ImageIcon();
	com.symantec.itools.swing.icons.ImageIcon aboutIcon = new com.symantec.itools.swing.icons.ImageIcon();
	java.awt.FileDialog saveFileDialog = new java.awt.FileDialog(this);
	java.awt.FileDialog openFileDialog = new java.awt.FileDialog(this);
	com.sun.java.swing.JPanel JPanel2 = new com.sun.java.swing.JPanel();
	com.sun.java.swing.JToolBar JToolBar1 = new com.sun.java.swing.JToolBar();
	com.sun.java.swing.JButton newButton = new com.sun.java.swing.JButton();
	com.sun.java.swing.JButton openButton = new com.sun.java.swing.JButton();
	com.sun.java.swing.JButton saveButton = new com.sun.java.swing.JButton();
	com.sun.java.swing.JButton cutButton = new com.sun.java.swing.JButton();
	com.sun.java.swing.JButton copyButton = new com.sun.java.swing.JButton();
	com.sun.java.swing.JButton pasteButton = new com.sun.java.swing.JButton();
	com.sun.java.swing.JButton aboutButton = new com.sun.java.swing.JButton();
	com.sun.java.swing.JPanel JPanel1 = new com.sun.java.swing.JPanel();
	com.sun.java.swing.JMenuBar JMenuBar1 = new com.sun.java.swing.JMenuBar();
	com.sun.java.swing.JMenu fileMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenuItem newItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem openItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem saveItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem saveAsItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem printItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JSeparator JSeparator1 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator2 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator3 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator4 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator5 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator6 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator7 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator8 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator9 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator10 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator11 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator12 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator13 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator14 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator15 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator16 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator17 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator18 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator19 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator20 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator21 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator22 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator23 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator24 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JSeparator JSeparator25 = new com.sun.java.swing.JSeparator();
	com.sun.java.swing.JMenuItem exitItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenu editMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenuItem cutItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem copyItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem pasteItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenu helpMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenuItem aboutItem = new com.sun.java.swing.JMenuItem();
    //visual icon-based menus
	com.sun.java.swing.JMenu visualFileMenu = new com.sun.java.swing.JMenu();
	    com.sun.java.swing.JMenuItem visualFileMenuFileItem = new com.sun.java.swing.JMenuItem();
	    com.sun.java.swing.JMenuItem visualFileMenuOpenItem = new com.sun.java.swing.JMenuItem();
	    com.sun.java.swing.JMenuItem visualFileMenuSaveItem = new com.sun.java.swing.JMenuItem();
	    com.sun.java.swing.JMenuItem visualFileMenuSaveAsItem = new com.sun.java.swing.JMenuItem();
	    com.sun.java.swing.JMenuItem visualFileMenuPrintItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenu visualEditMenu = new com.sun.java.swing.JMenu();
	    com.sun.java.swing.JMenuItem visualFileMenuEditItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenu visualTypeMenu = new com.sun.java.swing.JMenu();
	    com.sun.java.swing.JMenuItem visualFileMenuType1Item = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenu visualFingerSpellingFlagsMenu = new com.sun.java.swing.JMenu();
	    com.sun.java.swing.JMenuItem visualFileMenuFingerSpellingItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenu visualWordsFlagsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu visualColorsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu visualHelpMenu = new com.sun.java.swing.JMenu();
    //    
/**
    com.sun.java.swing.JMenuItem page1VisualItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem page2VisualItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem page3VisualItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem page4VisualItem = new com.sun.java.swing.JMenuItem();
*/
	com.sun.java.swing.JMenuItem page1Item = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem page2Item = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem page3Item = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem page4Item = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem page5Item = new com.sun.java.swing.JMenuItem();
    //
	com.sun.java.swing.JMenuItem belgiumMenusMenuItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem denmarkMenusMenuItem = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem franceMenusMenuItem = new com.sun.java.swing.JMenuItem();
    com.sun.java.swing.JMenuItem switzerlandMenusMenuItem = new com.sun.java.swing.JMenuItem();
    com.sun.java.swing.JMenuItem usaMenusMenuItem = new com.sun.java.swing.JMenuItem();

    /**
    / need to make what used to be menu items into menus themselves
    / so that they appear to be submenus
    / words subMenus stuff 
	/ first set 
	*/
	com.sun.java.swing.JMenuItem grayBarFileMenuItem1 = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem grayBarFileMenuItem2 = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem grayBarFileMenuItem3 = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenuItem grayBarWordsItem = new com.sun.java.swing.JMenuItem();
    //create the country menus        
    com.sun.java.swing.JMenu menusInIconsWordsMenu = new com.sun.java.swing.JMenu();
    com.sun.java.swing.JMenu menusInSignsWordsMenu = new com.sun.java.swing.JMenu();
    com.sun.java.swing.JMenu menusInWordsWordsMenu = new com.sun.java.swing.JMenu();
    com.sun.java.swing.JMenu menusInSignsAndWordsWordsMenu = new com.sun.java.swing.JMenu();
    com.sun.java.swing.JMenu menusInIconsAndWordsWordsMenu = new com.sun.java.swing.JMenu();
    com.sun.java.swing.JMenu menusInSignsAndIconsWordsMenu = new com.sun.java.swing.JMenu();
    //
    com.sun.java.swing.JMenu belgiumWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu brazilWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu canadaWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu denmarkWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu franceWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu irelandWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu italyWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu mexicoWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu nicaraguaWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu norwayWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu portugalWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu spainWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu swedenWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu switzerlandWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu taiwanWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu ukWordsMenu = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu usaWordsMenu = new com.sun.java.swing.JMenu();

	//2nd set 
	com.sun.java.swing.JMenuItem grayBarWordsItem2 = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenu belgiumWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu brazilWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu canadaWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu denmarkWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu franceWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu irelandWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu italyWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu mexicoWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu nicaraguaWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu norwayWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu portugalWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu spainWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu swedenWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu switzerlandWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu taiwanWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu ukWordsMenu2 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu usaWordsMenu2 = new com.sun.java.swing.JMenu();
	//3rd set 
    com.sun.java.swing.JMenuItem grayBarWordsItem3 = new com.sun.java.swing.JMenuItem();
	com.sun.java.swing.JMenu belgiumWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu brazilWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu canadaWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu denmarkWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu franceWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu irelandWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu italyWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu mexicoWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu nicaraguaWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu norwayWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu portugalWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu spainWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu swedenWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu switzerlandWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu taiwanWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu ukWordsMenu3 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu usaWordsMenu3 = new com.sun.java.swing.JMenu();
    //
    //create sub menus to choose typing mode
    JMenu belgiumWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu brazilWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu canadaWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu denmarkWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu franceSubMenu = new JMenu("Choose Typing Mode");
    JMenu irelandWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu italyWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu mexicoWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu nicaraguaWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu norwayWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu portugalWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu spainWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu swedenWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu switzerlandWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu taiwanWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu ukWordsSubMenu = new JMenu("Choose Typing Mode");
    JMenu usaWordsSubMenu = new JMenu("Choose Typing Mode");
    // 
//********
	
	
	com.sun.java.swing.JMenu signDictionariesWordsMenu1 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu typeFingerspellingWordsMenu1 = new com.sun.java.swing.JMenu();
	com.sun.java.swing.JMenu typeWordsWordsmenu1 = new com.sun.java.swing.JMenu();
	//java.awt.Choice choice1 = new java.awt.Choice();
	//com.sun.java.swing.JChoice choice1 = new com.sun.java.swing.JChoice();
	//}}

	//{{DECLARE_MENUS
	//}}

	void exitApplication()
	{
		try {
	    	// Beep
	    	Toolkit.getDefaultToolkit().beep();
	    	// Show a confirmation dialog
	    	int reply = com.sun.java.swing.JOptionPane.showConfirmDialog(this, 
	    	                                          "Do you really want to exit?", 
	    	                                          "         SignWriter 5.0 - Exit" , 
	    	                                          com.sun.java.swing.JOptionPane.YES_NO_OPTION, 
	    	                                          com.sun.java.swing.JOptionPane.QUESTION_MESSAGE);
			// If the confirmation was affirmative, handle exiting.
			if (reply == com.sun.java.swing.JOptionPane.YES_OPTION)
			{
		    	this.setVisible(false);    // hide the Frame
		    	this.dispose();            // free the system resources
		    	System.exit(0);            // close the application
			}
		} catch (Exception e) {
		}
	}

	class SymWindow extends java.awt.event.WindowAdapter
	{
		public void windowClosing(java.awt.event.WindowEvent event)
		{
			Object object = event.getSource();
			if (object == IntlWordsPlusIconsMenus1a.this)
				IntlWordsMenus1a_windowClosing(event);
		}
	}

	void IntlWordsMenus1a_windowClosing(java.awt.event.WindowEvent event)
	{
		// to do: code goes here.
			 
		IntlWordsMenus1a_windowClosing_Interaction1(event);
	}

	void IntlWordsMenus1a_windowClosing_Interaction1(java.awt.event.WindowEvent event) {
		try {
			this.exitApplication();
		} catch (Exception e) {
		}
	}
/**
	class ActionListener implements java.awt.event.ActionListener
	{
	    void actionPerformed(ActionEvent ev)
		{
		    
		}
	}
*/
	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == openItem)
				openItem_actionPerformed(event);
			else if (object == saveItem)
				saveItem_actionPerformed(event);
			else if (object == exitItem)
				exitItem_actionPerformed(event);
			else if (object == aboutItem)
				aboutItem_actionPerformed(event);
			else if (object == openButton)
				openButton_actionPerformed(event);
			else if (object == saveButton)
				saveButton_actionPerformed(event);
			else if (object == aboutButton)
				aboutButton_actionPerformed(event);
			else if (object == belgiumMenusMenuItem)
				belgiumMenusMenuItem_actionPerformed(event);
			else if (object == denmarkMenusMenuItem)
				denmarkMenusMenuItem_actionPerformed(event);
			else if (object == franceMenusMenuItem)
				franceMenusMenuItem_actionPerformed(event);
			else if (object == switzerlandMenusMenuItem)
				switzerlandMenusMenuItem_actionPerformed(event);
			else if (object == usaMenusMenuItem)
				usaMenusMenuItem_actionPerformed(event);
			
			else if (object == menusInIconsWordsMenu)
				menusInIconsWordsMenu_actionPerformed(event);
		}
	}

	void openItem_actionPerformed(java.awt.event.ActionEvent event)
	{
		// to do: code goes here.
			 
		openItem_actionPerformed_Interaction1(event);
	}

	void openItem_actionPerformed_Interaction1(java.awt.event.ActionEvent event) {
		try {
			// openFileDialog Show the FileDialog
			openFileDialog.setVisible(true);
		} catch (Exception e) {
		}
	}

	void saveItem_actionPerformed(java.awt.event.ActionEvent event)
	{
		// to do: code goes here.
			 
		saveItem_actionPerformed_Interaction1(event);
	}

	void saveItem_actionPerformed_Interaction1(java.awt.event.ActionEvent event) {
		try {
			// saveFileDialog Show the FileDialog
			saveFileDialog.setVisible(true);
		} catch (Exception e) {
		}
	}
	//
	void belgiumMenusMenuItem_actionPerformed(java.awt.event.ActionEvent event)
	{
	    
	    //this.setVisible(false);
	    //new IntlWordsMenus1a("da", "DK").setVisible(true);;
	}
	void denmarkMenusMenuItem_actionPerformed(java.awt.event.ActionEvent event)
	{
	    IntlWordsMenus1a newMenu = new IntlWordsMenus1a("da", "DK");
	    this.setVisible(false);
	    newMenu.setVisible(true);
	    //this.dispose();
	}
    //
	void franceMenusMenuItem_actionPerformed(java.awt.event.ActionEvent event)
	{
	    //this.dispose();//setVisible(false);
	    //new IntlWordsMenus1a("da", "DK").setVisible(true);;
	}
    //
	void switzerlandMenusMenuItem_actionPerformed(java.awt.event.ActionEvent event)
	{
	    IntlWordsMenus1a newMenu = new IntlWordsMenus1a("de", "CH");//
	    this.setVisible(false);
	    newMenu.setVisible(true);
	    this.dispose();
	}
    //
	void usaMenusMenuItem_actionPerformed(java.awt.event.ActionEvent event)
	{
	    //this.dispose();//setVisible(false);this.setVisible(false);
	    //new IntlWordsMenus1a("en", "US").setVisible(true);;

	    IntlWordsMenus1a newMenu = new IntlWordsMenus1a("en", "US");
	    this.setVisible(false);
	    newMenu.setVisible(true);
	    this.dispose();
	}
    //
	void menusInIconsWordsMenu_actionPerformed(java.awt.event.ActionEvent event)
	{
	    //this.dispose();//setVisible(false);this.setVisible(false);
	    //new IntlWordsMenus1a("en", "US").setVisible(true);;

	    this.setVisible(false);
	    IntlIconMenus1a newMenu = new IntlIconMenus1a();//("da", "DK");
	    newMenu.setVisible(true);
	   // this.dispose();
	}
    //
	void exitItem_actionPerformed(java.awt.event.ActionEvent event)
	{
		// to do: code goes here.
			 
		exitItem_actionPerformed_Interaction1(event);
	}

	void exitItem_actionPerformed_Interaction1(java.awt.event.ActionEvent event) {
		try {
			this.exitApplication();
		} catch (Exception e) {
		}
	}

	void aboutItem_actionPerformed(java.awt.event.ActionEvent event)
	{
		// to do: code goes here.
			 
		aboutItem_actionPerformed_Interaction1(event);
	}

	void aboutItem_actionPerformed_Interaction1(java.awt.event.ActionEvent event) {
		try {
			// JAboutDialog Create with owner and show as modal
			{
				JAboutDialog JAboutDialog1 = new JAboutDialog(this);
				JAboutDialog1.setModal(true);
				JAboutDialog1.show();
			}
		} catch (Exception e) {
		}
	}

	void openButton_actionPerformed(java.awt.event.ActionEvent event)
	{
		// to do: code goes here.
			 
		openButton_actionPerformed_Interaction1(event);
	}

	void openButton_actionPerformed_Interaction1(java.awt.event.ActionEvent event) {
		try {
			// openFileDialog Show the FileDialog
			openFileDialog.setVisible(true);
		} catch (Exception e) {
		}
	}

	void saveButton_actionPerformed(java.awt.event.ActionEvent event)
	{
		// to do: code goes here.
			 
		saveButton_actionPerformed_Interaction1(event);
	}

	void saveButton_actionPerformed_Interaction1(java.awt.event.ActionEvent event) {
		try {
			// saveFileDialog Show the FileDialog
			saveFileDialog.setVisible(true);
		} catch (Exception e) {
		}
	}

	void aboutButton_actionPerformed(java.awt.event.ActionEvent event)
	{
		// to do: code goes here.
			 
		aboutButton_actionPerformed_Interaction1(event);
	}

	void aboutButton_actionPerformed_Interaction1(java.awt.event.ActionEvent event) {
		try {
			// JAboutDialog Create with owner and show as modal
			{
				JAboutDialog JAboutDialog1 = new JAboutDialog(this);
				JAboutDialog1.setModal(true);
				JAboutDialog1.show();
			}
		} catch (Exception e) {
		}
	}
}
//**************************************
//**************************************
